"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BottomAppBar = void 0;
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../../theme/useTheme.hook");
var _scrollDirection = require("../../../types/scroll-direction.type");
var _bottomAppBar = require("./bottom-app-bar.styles");
var _FloatingActionButton = require("../../buttons/floating-action-button/FloatingActionButton.component");
var _AnimatedBottomAppBarActionButton = require("./animated-bottom-app-bar-action-button/AnimatedBottomAppBarActionButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FAB_BOTTOM_GAP = 12;
const BottomAppBar = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    iconButtons,
    scrollDirection,
    FabIcon,
    fabLabel,
    style,
    onFabPress,
    onLayout,
    animationDelay,
    animationDumping,
    ...props
  } = _ref;
  const [bottomBarHeight, setBottombarHeight] = (0, _react.useState)(0);
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const {
    surfaceContainer,
    secondaryContainer
  } = (0, _useTheme.useTheme)();
  (0, _react.useImperativeHandle)(ref, () => ({
    getHeight: () => bottomBarHeight
  }));
  const conteinerAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateY: (0, _reactNativeReanimated.withSpring)((scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === _scrollDirection.ScrollDirection.DOWN ? bottomBarHeight : 0, {
        damping: 20
      })
    }]
  }));
  const getBottomBarHeight = e => {
    setBottombarHeight(e.nativeEvent.layout.height);
    if (onLayout) {
      onLayout(e);
    }
  };
  const renderIconButton = (iconButton, index) => /*#__PURE__*/_react.default.createElement(_AnimatedBottomAppBarActionButton.AnimatedBottomAppBarActionButton, {
    key: `${iconButton.Icon.toString()}-${index}`,
    buttonProps: iconButton,
    index: index,
    scrollDirection: scrollDirection,
    bottomBarHeight: bottomBarHeight,
    animationDelay: animationDelay,
    animationDumping: animationDumping
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, _extends({
    style: [_bottomAppBar.styles.container, {
      backgroundColor: surfaceContainer.background,
      paddingBottom: insets.bottom + _bottomAppBar.BOTTOM_APP_BAR_PADDING_VARTICAL
    }, conteinerAnimatedStyle, style],
    onLayout: getBottomBarHeight
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _bottomAppBar.styles.iconButtons
  }, iconButtons.map(renderIconButton))), FabIcon && /*#__PURE__*/_react.default.createElement(_FloatingActionButton.FloatingActionButton, {
    Icon: FabIcon,
    label: fabLabel,
    onPress: onFabPress,
    size: _FloatingActionButton.FloatingActionButtonSize.BIG,
    iconProps: {
      color: secondaryContainer.text
    },
    style: [_bottomAppBar.styles.fab, {
      bottom: insets.bottom + FAB_BOTTOM_GAP
    }]
  }));
});
exports.BottomAppBar = BottomAppBar;
//# sourceMappingURL=BottomAppBar.component.js.map