"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnimatedBottomAppBarActionButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../../../theme/useTheme.hook");
var _scrollDirection = require("../../../../types/scroll-direction.type");
var _StandardIconButton = require("../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AnimatedBottomAppBarActionButton = _ref => {
  let {
    index,
    buttonProps,
    bottomBarHeight,
    scrollDirection,
    animationDumping = 20,
    animationDelay = 80
  } = _ref;
  const {
    surface
  } = (0, _useTheme.useTheme)();
  const iconButtonAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateY: (scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === _scrollDirection.ScrollDirection.DOWN ? (0, _reactNativeReanimated.withSpring)(bottomBarHeight, {
        damping: animationDumping
      }) : (0, _reactNativeReanimated.withDelay)(index * animationDelay, (0, _reactNativeReanimated.withSpring)(0, {
        damping: animationDumping
      }))
    }]
  }));
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    exiting: _reactNativeReanimated.FadeOut,
    entering: _reactNativeReanimated.FadeInDown.damping(animationDumping).delay((index + 1) * animationDelay),
    key: `${index}-${buttonProps.Icon.toString()}`,
    style: iconButtonAnimatedStyle
  }, /*#__PURE__*/_react.default.createElement(_StandardIconButton.StandartIconButton, _extends({
    iconProps: {
      color: surface.textVariant
    }
  }, buttonProps)));
};
exports.AnimatedBottomAppBarActionButton = AnimatedBottomAppBarActionButton;
//# sourceMappingURL=AnimatedBottomAppBarActionButton.component.js.map