"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BaseTopAppBar = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../../../theme/useTheme.hook");
var _baseTopAppBar = require("./base-top-app-bar.styles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const DEFAULT_ANIMATION_DURATION = 300;
const BaseTopAppBar = _ref => {
  let {
    children,
    scrollStatus,
    defaultColor,
    scrolledColor,
    animationDuration = DEFAULT_ANIMATION_DURATION,
    style,
    ...props
  } = _ref;
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const {
    surfaceContainer,
    surface
  } = (0, _useTheme.useTheme)();
  const containerAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => typeof scrollStatus !== 'undefined' ? {
    backgroundColor: (0, _reactNativeReanimated.withTiming)((0, _reactNativeReanimated.interpolateColor)(scrollStatus.value, [0, 1], [defaultColor ?? surface.background, scrolledColor ?? surfaceContainer.background]), {
      duration: animationDuration
    })
  } : {}, [defaultColor, scrolledColor, animationDuration]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, _extends({
    style: [_baseTopAppBar.styles.container, {
      paddingTop: insets.top + _baseTopAppBar.BASE_TOP_APP_BAR_PADDING_VERTICAL
    }, containerAnimatedStyle, style]
  }, props), children);
};
exports.BaseTopAppBar = BaseTopAppBar;
//# sourceMappingURL=BaseTopAppBar.component.js.map