"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CenterAlignedTopAppBar = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _useTheme = require("../../../../theme/useTheme.hook");
var _centerAlignedTopAppBar = require("./center-aligned-top-app-bar.styles");
var _useTypography = require("../../../../typography/useTypography.component");
var _ArrowBackIcon = require("../../../icons/arrow-back-icon/ArrowBackIcon.component");
var _BaseTopAppBar = require("../base-top-app-bar/BaseTopAppBar.component");
var _StandardIconButton = require("../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component");
var _AccountCircleFilledIcon = require("../../../icons/account-circle-filled-icon/AccountCircleFilledIcon.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const CenterAlignedTopAppBar = _ref => {
  let {
    title,
    scrollStatus,
    EndIcon = _AccountCircleFilledIcon.AccountCircleFilledIcon,
    StartIcon = _ArrowBackIcon.ArrowBackIcon,
    iconProps,
    style,
    titleStyle,
    ...props
  } = _ref;
  const {
    surface
  } = (0, _useTheme.useTheme)();
  const {
    titleLarge
  } = (0, _useTypography.useTypography)();
  return /*#__PURE__*/_react.default.createElement(_BaseTopAppBar.BaseTopAppBar, _extends({
    scrollStatus: scrollStatus,
    style: [_centerAlignedTopAppBar.styles.container, style]
  }, props), /*#__PURE__*/_react.default.createElement(_StandardIconButton.StandartIconButton, {
    Icon: StartIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...iconProps
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [_centerAlignedTopAppBar.styles.title, titleLarge, {
      color: surface.text
    }, titleStyle]
  }, title), /*#__PURE__*/_react.default.createElement(_StandardIconButton.StandartIconButton, {
    Icon: EndIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...iconProps
    }
  }));
};
exports.CenterAlignedTopAppBar = CenterAlignedTopAppBar;
//# sourceMappingURL=CenterAlignedTopAppBar.component.js.map