"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopAppBarSize = exports.TopAppBar = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _topAppBar = require("./top-app-bar.styles");
var _useTheme = require("../../../../theme/useTheme.hook");
var _useTypography = require("../../../../typography/useTypography.component");
var _ArrowBackIcon = require("../../../icons/arrow-back-icon/ArrowBackIcon.component");
var _BaseTopAppBar = require("../base-top-app-bar/BaseTopAppBar.component");
var _StandardIconButton = require("../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
let TopAppBarSize = /*#__PURE__*/function (TopAppBarSize) {
  TopAppBarSize["SMALL"] = "SMALL";
  TopAppBarSize["MEDIUM"] = "MEDIUM";
  TopAppBarSize["LARGE"] = "LARGE";
  return TopAppBarSize;
}({});
exports.TopAppBarSize = TopAppBarSize;
const TopAppBar = _ref => {
  let {
    title,
    scrollStatus,
    actions = [],
    size = TopAppBarSize.SMALL,
    StartIcon = _ArrowBackIcon.ArrowBackIcon,
    startIconProps,
    style,
    titleStyle,
    ...props
  } = _ref;
  const {
    surface
  } = (0, _useTheme.useTheme)();
  const {
    titleLarge,
    headlineSmall,
    headlineMedium
  } = (0, _useTypography.useTypography)();
  const titleTypography = {
    [TopAppBarSize.SMALL]: titleLarge,
    [TopAppBarSize.MEDIUM]: headlineSmall,
    [TopAppBarSize.LARGE]: headlineMedium
  };
  const renderActionButton = (_ref2, index) => {
    let {
      Icon,
      iconProps,
      ...restProps
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_StandardIconButton.StandartIconButton, _extends({
      key: `${index}-${Icon.toString()}`,
      Icon: Icon,
      iconProps: {
        color: surface.text,
        size: 24,
        ...iconProps
      }
    }, restProps));
  };
  return /*#__PURE__*/_react.default.createElement(_BaseTopAppBar.BaseTopAppBar, _extends({
    scrollStatus: scrollStatus,
    style: [_topAppBar.styles[size].container, style]
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _topAppBar.styles[size].actionsBar
  }, /*#__PURE__*/_react.default.createElement(_StandardIconButton.StandartIconButton, {
    Icon: StartIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...startIconProps
    }
  }), size === TopAppBarSize.SMALL && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [_topAppBar.styles[size].title, titleLarge, {
      color: surface.text
    }, titleStyle]
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _topAppBar.styles[size].actions
  }, actions.map(renderActionButton))), size !== TopAppBarSize.SMALL && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [_topAppBar.styles[size].title, titleTypography[size], {
      color: surface.text
    }, titleStyle]
  }, title));
};
exports.TopAppBar = TopAppBar;
//# sourceMappingURL=TopAppBar.component.js.map