"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.BASE_TOP_APP_BAR_PADDING_VERTICAL = void 0;
var _reactNative = require("react-native");
var _TopAppBar = require("./TopAppBar.component");
const BASE_TOP_APP_BAR_PADDING_VERTICAL = 20;
exports.BASE_TOP_APP_BAR_PADDING_VERTICAL = BASE_TOP_APP_BAR_PADDING_VERTICAL;
const baseStyles = _reactNative.StyleSheet.create({
  actionsBar: {
    gap: 16,
    flexDirection: 'row',
    alignItems: 'center'
  },
  title: {
    flex: 1
  },
  actions: {
    gap: 8,
    flexDirection: 'row',
    alignItems: 'center'
  }
});
const smallStyles = _reactNative.StyleSheet.create({
  actionsBar: baseStyles.actionsBar,
  title: {
    flex: 1
  },
  actions: baseStyles.actions
});
const mediumStyles = _reactNative.StyleSheet.create({
  container: {
    gap: 16,
    paddingBottom: 24
  },
  actionsBar: {
    ...baseStyles.actionsBar,
    justifyContent: 'space-between'
  },
  title: {
    marginStart: 8
  },
  actions: baseStyles.actions
});
const largeStyles = _reactNative.StyleSheet.create({
  container: {
    gap: 44,
    paddingBottom: 28
  },
  actionsBar: {
    ...baseStyles.actionsBar,
    justifyContent: 'space-between'
  },
  title: {
    marginStart: 8
  },
  actions: baseStyles.actions
});
const styles = {
  [_TopAppBar.TopAppBarSize.SMALL]: smallStyles,
  [_TopAppBar.TopAppBarSize.MEDIUM]: mediumStyles,
  [_TopAppBar.TopAppBarSize.LARGE]: largeStyles
};
exports.styles = styles;
//# sourceMappingURL=top-app-bar.styles.js.map