"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BadgeSize = exports.Badge = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _badge = require("./badge.styles");
var _useTheme = require("../../theme/useTheme.hook");
var _useTypography = require("../../typography/useTypography.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
let BadgeSize = /*#__PURE__*/function (BadgeSize) {
  BadgeSize["BIG"] = "BIG";
  BadgeSize["SMALL"] = "SMALL";
  return BadgeSize;
}({});
exports.BadgeSize = BadgeSize;
const Badge = _ref => {
  let {
    value,
    size = BadgeSize.BIG,
    style,
    valueStyle,
    ...props
  } = _ref;
  const {
    error
  } = (0, _useTheme.useTheme)();
  const {
    labelSmall
  } = (0, _useTypography.useTypography)();
  const shapeStyleMap = {
    [BadgeSize.BIG]: _badge.styles.big,
    [BadgeSize.SMALL]: _badge.styles.small
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [_badge.styles.container, shapeStyleMap[size], {
      backgroundColor: error.background
    }, style]
  }, props), size === BadgeSize.BIG && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [labelSmall, {
      color: error.text
    }, valueStyle]
  }, value));
};
exports.Badge = Badge;
//# sourceMappingURL=Badge.component.js.map