"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommonButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _commonButton = require("./common-button.styles");
var _useTypography = require("../../../../typography/useTypography.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const DEFAULT_ICON_SIZE = 18;
const CommonButton = _ref => {
  let {
    title,
    StartIcon,
    EndIcon,
    titleStyle,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    labelLarge
  } = (0, _useTypography.useTypography)();
  const containerPaddingStart = StartIcon || EndIcon ? 16 : 24;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [_commonButton.styles.container, {
      paddingStart: containerPaddingStart
    }, style],
    hitSlop: 16
  }, props), StartIcon && /*#__PURE__*/_react.default.createElement(StartIcon, _extends({
    size: DEFAULT_ICON_SIZE
  }, iconProps)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [labelLarge, titleStyle]
  }, title), EndIcon && /*#__PURE__*/_react.default.createElement(EndIcon, _extends({
    size: DEFAULT_ICON_SIZE
  }, iconProps)));
};
exports.CommonButton = CommonButton;
//# sourceMappingURL=CommonButton.component.js.map