"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TonalButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _useTheme = require("../../../../theme/useTheme.hook");
var _convertToRgba = require("../../../../utils/convert-to-rgba");
var _CommonButton = require("../common-button/CommonButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const TonalButton = _ref => {
  let {
    titleStyle,
    style,
    iconProps = {},
    ...props
  } = _ref;
  const {
    secondaryContainer,
    surface
  } = (0, _useTheme.useTheme)();
  const colorStyles = (0, _react.useMemo)(() => _reactNative.StyleSheet.create(props.disabled ? {
    title: {
      color: (0, _convertToRgba.convertToRGBA)(surface.text, 0.38)
    },
    container: {
      borderColor: (0, _convertToRgba.convertToRGBA)(surface.text, 0.12)
    }
  } : {
    title: {
      color: secondaryContainer.text
    },
    container: {
      backgroundColor: secondaryContainer.background
    }
  }), [props.disabled]);
  return /*#__PURE__*/_react.default.createElement(_CommonButton.CommonButton, _extends({
    style: [colorStyles.container, style],
    titleStyle: [colorStyles.title, titleStyle],
    iconProps: {
      color: colorStyles.title.color,
      ...iconProps
    }
  }, props));
};
exports.TonalButton = TonalButton;
//# sourceMappingURL=TonalButton.component.js.map