"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FloatingActionButtonType = exports.FloatingActionButtonSize = exports.FloatingActionButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _reactNative = require("react-native");
var _useTheme = require("../../../theme/useTheme.hook");
var _EditIcon = require("../../icons/edit-icon/EditIcon.component");
var _useTypography = require("../../../typography/useTypography.component");
var _floatingActionButton = require("./floating-action-button.styles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
let FloatingActionButtonSize = /*#__PURE__*/function (FloatingActionButtonSize) {
  FloatingActionButtonSize["SMALL"] = "SMALL";
  FloatingActionButtonSize["BIG"] = "BIG";
  return FloatingActionButtonSize;
}({});
exports.FloatingActionButtonSize = FloatingActionButtonSize;
let FloatingActionButtonType = /*#__PURE__*/function (FloatingActionButtonType) {
  FloatingActionButtonType["SURFACE"] = "SURFACE";
  FloatingActionButtonType["PRIMARY"] = "PRIMARY";
  FloatingActionButtonType["SECONDARY"] = "SECONDARY";
  FloatingActionButtonType["TERTIARY"] = "TERTIARY";
  return FloatingActionButtonType;
}({});
exports.FloatingActionButtonType = FloatingActionButtonType;
const FloatingActionButton = _ref => {
  let {
    label,
    iconProps = {},
    labelStyle,
    Icon = _EditIcon.EditIcon,
    extended = true,
    innerContainerStyle,
    size = FloatingActionButtonSize.SMALL,
    type = FloatingActionButtonType.PRIMARY,
    style,
    ...props
  } = _ref;
  const {
    labelLarge
  } = (0, _useTypography.useTypography)();
  const {
    shadow,
    primaryContainer,
    surfaceContainer,
    secondaryContainer,
    tertiaryContainer,
    primary
  } = (0, _useTheme.useTheme)();
  const colors = (0, _react.useMemo)(() => ({
    [FloatingActionButtonType.SURFACE]: {
      backgroundColor: surfaceContainer.backgroundHigh,
      iconColor: primary.background
    },
    [FloatingActionButtonType.PRIMARY]: {
      backgroundColor: primaryContainer.background,
      iconColor: primaryContainer.text
    },
    [FloatingActionButtonType.SECONDARY]: {
      backgroundColor: secondaryContainer.background,
      iconColor: secondaryContainer.text
    },
    [FloatingActionButtonType.TERTIARY]: {
      backgroundColor: tertiaryContainer.background,
      iconColor: tertiaryContainer.text
    }
  }), []);
  const [paddingStart, paddingEnd] = label && extended ? [16, 20] : [0, 0];
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    hitSlop: 8,
    style: [_floatingActionButton.styles.container, (0, _floatingActionButton.getBaseFloatingButtonShape)(size).container, style]
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    layout: _reactNativeReanimated.LinearTransition,
    style: [_floatingActionButton.styles.innerContainer, {
      backgroundColor: colors[type].backgroundColor,
      shadowColor: shadow,
      paddingStart,
      paddingEnd
    }, (0, _floatingActionButton.getBaseFloatingButtonShape)(size).container, innerContainerStyle]
  }, Icon ? /*#__PURE__*/_react.default.createElement(Icon, _extends({
    size: 24,
    color: colors[type].iconColor
  }, iconProps)) : null, label && extended ? /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.Text, {
    layout: _reactNativeReanimated.LinearTransition,
    exiting: _reactNativeReanimated.FadeOutRight,
    entering: _reactNativeReanimated.FadeInRight,
    style: [labelLarge, labelStyle]
  }, label) : null));
};
exports.FloatingActionButton = FloatingActionButton;
//# sourceMappingURL=FloatingActionButton.component.js.map