"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.getBaseFloatingButtonShape = void 0;
var _reactNative = require("react-native");
var _FloatingActionButton = require("./FloatingActionButton.component");
const styles = _reactNative.StyleSheet.create({
  container: {
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.15,
    shadowRadius: 5,
    elevation: 3
  },
  innerContainer: {
    gap: 12,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    overflow: 'hidden'
  }
});
exports.styles = styles;
const getBaseFloatingButtonShape = size => {
  const buttonSizes = {
    [_FloatingActionButton.FloatingActionButtonSize.SMALL]: {
      minWidth: 40,
      height: 40,
      borderRadius: 12
    },
    [_FloatingActionButton.FloatingActionButtonSize.BIG]: {
      minWidth: 56,
      height: 56,
      borderRadius: 16
    }
  };
  return _reactNative.StyleSheet.create({
    container: buttonSizes[size] || buttonSizes[_FloatingActionButton.FloatingActionButtonSize.SMALL]
  });
};
exports.getBaseFloatingButtonShape = getBaseFloatingButtonShape;
//# sourceMappingURL=floating-action-button.styles.js.map