"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilledIconButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _useTheme = require("../../../../theme/useTheme.hook");
var _convertToRgba = require("../../../../utils/convert-to-rgba");
var _BaseIconButton = require("../base-icon-button/BaseIconButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FilledIconButton = _ref => {
  let {
    selected,
    Icon,
    selectedIcon,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    primary,
    surface,
    surfaceContainer
  } = (0, _useTheme.useTheme)();
  const [disabledIconColor, disabledContainerColor] = (0, _react.useMemo)(() => [(0, _convertToRgba.convertToRGBA)(surface.text, 0.38), (0, _convertToRgba.convertToRGBA)(surface.text, 0.12)], [surface.text]);
  const [activeContainerColor, activeIconColor, IconComponent] = selected ? [primary.background, primary.text, selectedIcon ?? Icon] : [surfaceContainer.backgroundHighest, primary.background, Icon];
  const [appliedContainerColor, appliedIconColor] = props.disabled ? [disabledContainerColor, disabledIconColor] : [activeContainerColor, activeIconColor];
  return /*#__PURE__*/_react.default.createElement(_BaseIconButton.BaseIconButton, _extends({
    Icon: IconComponent,
    iconProps: {
      color: appliedIconColor,
      ...iconProps
    },
    style: [{
      backgroundColor: appliedContainerColor
    }, style]
  }, props));
};
exports.FilledIconButton = FilledIconButton;
//# sourceMappingURL=FilledIconButton.component.js.map