"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OutlinedIconButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _useTheme = require("../../../../theme/useTheme.hook");
var _convertToRgba = require("../../../../utils/convert-to-rgba");
var _BaseIconButton = require("../base-icon-button/BaseIconButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const OutlinedIconButton = _ref => {
  let {
    selected,
    Icon,
    selectedIcon,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    surface,
    outline
  } = (0, _useTheme.useTheme)();
  const [disabledIconColor, disabledContainerColor] = (0, _react.useMemo)(() => [(0, _convertToRgba.convertToRGBA)(surface.text, 0.38), (0, _convertToRgba.convertToRGBA)(surface.text, 0.12)], [surface.text]);
  const appliedDisabledContainerColor = selected ? disabledContainerColor : 'transparent';
  const [activeContainerColor, activeIconColor, activeBorderColor, IconComponent] = selected ? [surface.backgroundInverse, surface.textInverse, surface.backgroundInverse, selectedIcon ?? Icon] : ['transparent', surface.textVariant, outline, Icon];
  const [appliedContainerColor, appliedIconColor, appliedBorderColor] = props.disabled ? [appliedDisabledContainerColor, disabledIconColor, disabledContainerColor] : [activeContainerColor, activeIconColor, activeBorderColor];
  return /*#__PURE__*/_react.default.createElement(_BaseIconButton.BaseIconButton, _extends({
    Icon: IconComponent,
    iconProps: {
      color: appliedIconColor,
      ...iconProps
    },
    style: [{
      backgroundColor: appliedContainerColor,
      borderColor: appliedBorderColor,
      borderWidth: Number(!selected)
    }, style]
  }, props));
};
exports.OutlinedIconButton = OutlinedIconButton;
//# sourceMappingURL=OutlinedIconButton.component.js.map