"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SegmentedButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _segmentedButton = require("./segmented-button.styles");
var _useTheme = require("../../../theme/useTheme.hook");
var _convertToRgba = require("../../../utils/convert-to-rgba");
var _ButtonSegment = require("./button-segment/ButtonSegment.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SegmentedButton = _ref => {
  let {
    segments,
    selected,
    disabled = false,
    multiSelectionEnabled = false,
    onSegmentPress,
    style,
    withCheckmark,
    labelStyle,
    iconSize,
    iconColor,
    rippleColor,
    ...props
  } = _ref;
  const {
    outline
  } = (0, _useTheme.useTheme)();
  const borderColor = (0, _react.useMemo)(() => disabled ? (0, _convertToRgba.convertToRGBA)(outline, 0.12) : outline, [disabled]);
  const renderButtonSegment = (0, _react.useCallback)((segment, index) => /*#__PURE__*/_react.default.createElement(_ButtonSegment.ButtonSegment, _extends({
    key: segment.value,
    style: {
      borderLeftWidth: Number(Boolean(index)),
      borderLeftColor: borderColor
    },
    selected: selected.includes(segment.value),
    onSegmentPress: onSegmentPress,
    disabled: disabled,
    multiSelectionEnabled: multiSelectionEnabled,
    withCheckmark: withCheckmark,
    labelStyle: labelStyle,
    iconSize: iconSize,
    iconColor: iconColor,
    rippleColor: rippleColor
  }, segment)), [selected, withCheckmark, disabled, borderColor, labelStyle, iconColor, iconSize, rippleColor, multiSelectionEnabled, onSegmentPress]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [_segmentedButton.styles.container, {
      borderColor
    }, style]
  }, props), segments.map(renderButtonSegment));
};
exports.SegmentedButton = SegmentedButton;
//# sourceMappingURL=SegmentedButton.component.js.map