"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnimatedSelectedIcon = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AnimatedPath = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Path);
const AnimatedSelectedIcon = props => {
  const pathRef = _react.default.useRef(null);
  const progress = (0, _reactNativeReanimated.useSharedValue)(0);
  const [length, setLength] = _react.default.useState(0);
  const onLayout = (0, _react.useCallback)(() => {
    var _pathRef$current;
    return setLength(((_pathRef$current = pathRef.current) === null || _pathRef$current === void 0 ? void 0 : _pathRef$current.getTotalLength()) ?? 0);
  }, [pathRef.current]);
  _react.default.useEffect(() => {
    progress.value = (0, _reactNativeReanimated.withTiming)(1, {
      duration: 330
    });
  }, []);
  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => ({
    strokeDashoffset: (0, _reactNativeReanimated.interpolate)(progress.value, [0, 1], [length, 0])
  }));
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.default, _extends({
    width: props.width,
    height: props.height,
    viewBox: "0 0 21 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement(AnimatedPath, {
    ref: pathRef,
    onLayout: onLayout,
    stroke: props.stroke,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: props.strokeWidth,
    d: "M4 12.611 8.923 17.5 20 6.5",
    animatedProps: animatedProps,
    strokeDasharray: length
  }));
};
exports.AnimatedSelectedIcon = AnimatedSelectedIcon;
//# sourceMappingURL=AnimatedSelectedIcon.component.js.map