"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElevatedCard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _elevatedCard = require("./elevated-card.styles");
var _useTheme = require("../../../theme/useTheme.hook");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ElevatedCard = _ref => {
  let {
    style,
    children,
    ...props
  } = _ref;
  const {
    surfaceContainer,
    shadow
  } = (0, _useTheme.useTheme)();
  const elevationStyle = (0, _react.useMemo)(() => _reactNative.Platform.select({
    ios: [_elevatedCard.styles.iosElevation, {
      shadowColor: shadow
    }],
    android: [_elevatedCard.styles.androidElevation, {
      shadowColor: shadow
    }]
  }), []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [_elevatedCard.styles.container, {
      backgroundColor: surfaceContainer.backgroundLow
    }, elevationStyle, style]
  }, props), children);
};
exports.ElevatedCard = ElevatedCard;
//# sourceMappingURL=ElevatedCard.cpmponent.js.map