"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconType = exports.AssistChip = void 0;
var _react = _interopRequireWildcard(require("react"));
var _useTheme = require("../../../theme/useTheme.hook");
var _assistChip = require("./assist-chip.styles");
var _BaseChip = require("../base-chip/BaseChip.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
let IconType = /*#__PURE__*/function (IconType) {
  IconType["COMMON"] = "COMMON";
  IconType["FAVICON"] = "FAVICON";
  IconType["BRANDED"] = "BRANDED";
  return IconType;
}({});
exports.IconType = IconType;
const AssistChip = _ref => {
  let {
    elevated = false,
    LeadingIcon,
    TrailingIcon,
    leadingIconType = IconType.COMMON,
    trailingIconType = IconType.COMMON,
    leadingIconProps = {},
    trailingIconProps = {},
    iconSize = 18,
    style,
    labelStyle,
    disabled = false,
    ...props
  } = _ref;
  const theme = (0, _useTheme.useTheme)();
  const colorStyles = (0, _react.useMemo)(() => (0, _assistChip.getColorStyles)(elevated, disabled, theme), [disabled, elevated, theme]);
  const iconPropsMap = {
    [IconType.COMMON]: {
      size: iconSize,
      color: colorStyles.icon.color
    },
    [IconType.FAVICON]: {
      size: iconSize
    },
    [IconType.BRANDED]: {
      size: iconSize,
      style: {
        opacity: 0.38
      }
    }
  };
  return /*#__PURE__*/_react.default.createElement(_BaseChip.BaseChip, _extends({
    style: [elevated && !disabled ? _assistChip.styles.elevatedContainer : _assistChip.styles.outlinedContainer, colorStyles.container, style],
    labelStyle: [colorStyles.label, labelStyle],
    leadingIcon: LeadingIcon ? /*#__PURE__*/_react.default.createElement(LeadingIcon, _extends({}, iconPropsMap[leadingIconType], leadingIconProps)) : null,
    trailingIcon: TrailingIcon ? /*#__PURE__*/_react.default.createElement(TrailingIcon, _extends({}, iconPropsMap[trailingIconType], trailingIconProps)) : null,
    disabled: disabled
  }, props));
};
exports.AssistChip = AssistChip;
//# sourceMappingURL=AssistChip.component.js.map