"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.getColorStyles = void 0;
var _reactNative = require("react-native");
var _convertToRgba = require("../../../utils/convert-to-rgba");
const styles = _reactNative.StyleSheet.create({
  outlinedContainer: {
    borderWidth: 1
  },
  elevatedContainer: {
    shadowOffset: {
      width: 0,
      height: 1
    },
    shadowOpacity: 0.15,
    shadowRadius: 3,
    elevation: 1
  }
});
exports.styles = styles;
const getColorStyles = (elevated, disabled, theme) => {
  const labelDisabledColor = (0, _convertToRgba.convertToRGBA)(theme.surface.text, 0.38);
  const containerDisabledColor = (0, _convertToRgba.convertToRGBA)(theme.surface.textVariant, 0.12);
  const [enabledBorderColor, enabledBackgroundColor] = elevated ? ['transparent', theme.surfaceContainer.backgroundLow] : [theme.outline, 'transparent'];
  const [disabledBorderColor, disabledBackgroundColor] = elevated ? ['transparent', containerDisabledColor] : [containerDisabledColor, 'transparent'];
  return _reactNative.StyleSheet.create(disabled ? {
    label: {
      color: labelDisabledColor
    },
    container: {
      backgroundColor: disabledBackgroundColor,
      borderColor: disabledBorderColor
    },
    icon: {
      color: labelDisabledColor
    }
  } : {
    label: {
      color: theme.surface.text
    },
    container: {
      borderColor: enabledBorderColor,
      backgroundColor: enabledBackgroundColor
    },
    icon: {
      color: theme.primary.background
    }
  });
};
exports.getColorStyles = getColorStyles;
//# sourceMappingURL=assist-chip.styles.js.map