"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilterChip = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../../theme/useTheme.hook");
var _filterChip = require("./filter-chip.styles");
var _BaseChip = require("../base-chip/BaseChip.component");
var _CircularActivityIndicator = require("../../activity-indicators/circular-activity-indicator/CircularActivityIndicator.component");
var _FilterChipLeadingIcon = require("./leading-icon/FilterChipLeadingIcon.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FilterChip = _ref => {
  let {
    elevated = false,
    selected = false,
    loading = false,
    LeadingIcon,
    TrailingIcon,
    leadingIconProps = {},
    trailingIconProps = {},
    iconSize = 18,
    activityIndicatorSize = 38,
    style,
    labelStyle,
    disabled = false,
    ...props
  } = _ref;
  const theme = (0, _useTheme.useTheme)();
  const dynamicStyles = (0, _react.useMemo)(() => (0, _filterChip.getDynamicStyles)(selected, elevated, disabled, theme), [disabled, elevated, selected, theme]);
  const leadingIcon = loading ? /*#__PURE__*/_react.default.createElement(_CircularActivityIndicator.CircularActivityIndicator, {
    size: activityIndicatorSize,
    style: {
      height: iconSize,
      width: iconSize
    }
  }) : /*#__PURE__*/_react.default.createElement(_FilterChipLeadingIcon.FilterChipLeadingIcon, {
    size: iconSize,
    selected: selected,
    customLeadingIcon: LeadingIcon,
    color: dynamicStyles.icon.color,
    selectedColor: dynamicStyles.selectedIcon.color,
    leadingIconProps: leadingIconProps
  });
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    layout: _reactNativeReanimated.LinearTransition
  }, /*#__PURE__*/_react.default.createElement(_BaseChip.BaseChip, _extends({
    style: [elevated && !disabled ? _filterChip.styles.elevatedContainer : _filterChip.styles.outlinedContainer, dynamicStyles.container, style],
    labelStyle: [dynamicStyles.label, labelStyle],
    leadingIcon: leadingIcon,
    trailingIcon: TrailingIcon ? /*#__PURE__*/_react.default.createElement(TrailingIcon, _extends({
      size: 18,
      color: dynamicStyles.icon.color
    }, trailingIconProps)) : null,
    disabled: disabled
  }, props)));
};
exports.FilterChip = FilterChip;
//# sourceMappingURL=FilterChip.component.js.map