"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputChip = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _icons = require("../../icons");
var _inputChip = require("./input-chip.styles");
var _useTheme = require("../../../theme/useTheme.hook");
var _BaseChip = require("../base-chip/BaseChip.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const InputChip = _ref => {
  let {
    selected = false,
    LeadingIcon,
    TrailingIcon,
    imageUrl,
    leadingIconProps = {},
    trailingIconProps = {},
    hasDefaultTrailingIcon = true,
    style,
    labelStyle,
    iconSize = 18,
    ...props
  } = _ref;
  const {
    surface,
    secondaryContainer,
    outline,
    primary
  } = (0, _useTheme.useTheme)();
  const onContainerColor = selected ? secondaryContainer.text : surface.textVariant;
  const dynamicStyles = (0, _react.useMemo)(() => _reactNative.StyleSheet.create({
    container: {
      borderWidth: Number(!selected),
      borderColor: outline,
      backgroundColor: selected ? secondaryContainer.background : 'transparent'
    },
    label: {
      color: onContainerColor
    }
  }), [selected, onContainerColor]);
  const renderLeadingAvatar = () => imageUrl ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: _inputChip.styles.leadingImage,
    source: {
      uri: imageUrl
    }
  }) : null;
  const renderDefaultTrailingIcon = () => hasDefaultTrailingIcon ? /*#__PURE__*/_react.default.createElement(_icons.CloseIcon, {
    size: iconSize,
    color: onContainerColor
  }) : null;
  return /*#__PURE__*/_react.default.createElement(_BaseChip.BaseChip, _extends({
    style: [dynamicStyles.container, imageUrl ? _inputChip.styles.chipWithAvatarContainer : [], style],
    labelStyle: [dynamicStyles.label, labelStyle],
    leadingIcon: LeadingIcon ? /*#__PURE__*/_react.default.createElement(LeadingIcon, _extends({
      size: iconSize,
      color: primary.background
    }, leadingIconProps)) : renderLeadingAvatar(),
    trailingIcon: TrailingIcon ? /*#__PURE__*/_react.default.createElement(TrailingIcon, _extends({
      size: iconSize,
      color: onContainerColor
    }, trailingIconProps)) : renderDefaultTrailingIcon()
  }, props));
};
exports.InputChip = InputChip;
//# sourceMappingURL=InputChip.component.js.map