"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.getCheckboxFrameStyles = exports.ENABLED_OPACITY = exports.DISABLED_OPACITY = void 0;
var _reactNative = require("react-native");
const BORDER_WIDTH_COEFF = 0.1;
const BORDER_RADIUS_COEFF = 0.1;
const ENABLED_OPACITY = 1;
exports.ENABLED_OPACITY = ENABLED_OPACITY;
const DISABLED_OPACITY = 0.38;
exports.DISABLED_OPACITY = DISABLED_OPACITY;
const styles = _reactNative.StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    gap: 12
  },
  checkbox: {
    alignItems: 'center',
    justifyContent: 'center'
  }
});
exports.styles = styles;
const getCheckboxFrameStyles = size => {
  const borderWidth = size * BORDER_WIDTH_COEFF;
  const borderRadius = size * BORDER_RADIUS_COEFF;
  return _reactNative.StyleSheet.create({
    checkboxFrame: {
      height: size,
      width: size,
      borderWidth,
      borderRadius
    }
  });
};
exports.getCheckboxFrameStyles = getCheckboxFrameStyles;
//# sourceMappingURL=checkbox.styles.js.map