"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.getRadioButtonFrameStyles = exports.ENABLED_OPACITY = exports.DISABLED_OPACITY = void 0;
var _reactNative = require("react-native");
const HALF = 0.5;
const BORDER_WIDTH_COEFF = 0.1;
const INDICATOR_SIZE_COEFF = 0.5;
const ENABLED_OPACITY = 1;
exports.ENABLED_OPACITY = ENABLED_OPACITY;
const DISABLED_OPACITY = 0.38;
exports.DISABLED_OPACITY = DISABLED_OPACITY;
const styles = _reactNative.StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    gap: 6
  },
  radioButton: {
    justifyContent: 'center',
    alignItems: 'center'
  }
});
exports.styles = styles;
const getRadioButtonFrameStyles = size => {
  const indicatorSize = INDICATOR_SIZE_COEFF * size;
  const indicatorRadius = indicatorSize * HALF;
  const radioButtonRadius = size * HALF;
  const radioButtonBorderWidth = size * BORDER_WIDTH_COEFF;
  return _reactNative.StyleSheet.create({
    radioButton: {
      width: size,
      height: size,
      borderRadius: radioButtonRadius,
      borderWidth: radioButtonBorderWidth
    },
    indicator: {
      width: indicatorSize,
      height: indicatorSize,
      borderRadius: indicatorRadius
    }
  });
};
exports.getRadioButtonFrameStyles = getRadioButtonFrameStyles;
//# sourceMappingURL=radio-button.styles.js.map