"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Switch = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../../theme/useTheme.hook");
var _switch = require("./switch.styles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ANIMATION_DURATION = 300;
const Switch = _ref => {
  let {
    value,
    labelEnd,
    labelStart,
    handleIcon,
    hideIconOnSwitchOff = true,
    handleActiveBorderColor,
    handleInactiveBorderColor,
    handleActiveBackgroundColor,
    handleInactiveBackgroundColor,
    trackActiveBorderColor,
    trackInactiveBorderColor,
    trackActiveBackgroundColor,
    trackInactiveBackgroundColor,
    style,
    trackStyle,
    hanldeStyle,
    animationDuration = ANIMATION_DURATION,
    onSwitch,
    ...props
  } = _ref;
  const handleStart = (0, _reactNativeReanimated.useSharedValue)(0);
  const {
    primary,
    outline,
    surfaceContainer,
    surface
  } = (0, _useTheme.useTheme)();
  const [trackDisabledColors, handleDisabledColors] = value ? [{
    backgroundColor: surface.text,
    borderColor: surface.text
  }, {
    backgroundColor: surface.background,
    borderColor: surface.background
  }] : [{
    backgroundColor: surfaceContainer.backgroundHighest,
    borderColor: surface.text
  }, {
    backgroundColor: surface.text,
    borderColor: surface.text
  }];
  const handlePosAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    flex: handleStart.value
  }), []);
  const handleColorsAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    start: handleStart.value,
    backgroundColor: (0, _reactNativeReanimated.interpolateColor)(handleStart.value, [0, 1], [handleInactiveBackgroundColor ?? outline, handleActiveBackgroundColor ?? primary.text]),
    borderColor: (0, _reactNativeReanimated.interpolateColor)(handleStart.value, [0, 1], [handleInactiveBorderColor ?? outline, handleActiveBorderColor ?? primary.text])
  }), [handleInactiveBackgroundColor, handleActiveBackgroundColor, handleInactiveBorderColor, handleActiveBorderColor]);
  const trackAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    backgroundColor: (0, _reactNativeReanimated.interpolateColor)(handleStart.value, [0, 1], [trackInactiveBackgroundColor ?? surfaceContainer.backgroundHighest, trackActiveBackgroundColor ?? primary.background]),
    borderColor: (0, _reactNativeReanimated.interpolateColor)(handleStart.value, [0, 1], [trackInactiveBorderColor ?? outline, trackActiveBorderColor ?? primary.background])
  }), [trackInactiveBackgroundColor, trackActiveBackgroundColor, trackInactiveBorderColor, trackActiveBorderColor]);
  const iconAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    opacity: (0, _reactNativeReanimated.interpolate)(handleStart.value, [0, 1], [Number(!hideIconOnSwitchOff), 1])
  }), [hideIconOnSwitchOff]);
  (0, _react.useEffect)(() => {
    handleStart.value = (0, _reactNativeReanimated.withTiming)(value ? 1 : 0, {
      duration: animationDuration
    });
  }, [value, animationDuration]);
  const onPress = (0, _react.useCallback)(() => onSwitch(!value), [onSwitch, value]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    activeOpacity: 1,
    onPress: onPress,
    style: [_switch.styles.container, {
      opacity: props.disabled ? _switch.DISABLED_OPACITY : _switch.ENABLED_OPACITY
    }, style]
  }, props), labelStart, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [_switch.styles.track, props.disabled ? trackDisabledColors : trackAnimatedStyle, trackStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: handlePosAnimatedStyle
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [_switch.styles.handle, props.disabled ? handleDisabledColors : handleColorsAnimatedStyle, hanldeStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: iconAnimatedStyle
  }, handleIcon)))), labelEnd);
};
exports.Switch = Switch;
//# sourceMappingURL=switch.component.js.map