"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BasicDialog = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _basicDialog = require("./basic-dialog.styles");
var _useTheme = require("../../../theme/useTheme.hook");
var _Dialog = require("../dialog/Dialog.component");
var _useTypography = require("../../../typography/useTypography.component");
var _TextButton = require("../../buttons/common-buttons/text-button/TextButton.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const BasicDialog = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    append,
    prepend,
    title,
    subtitle,
    firstActionTitle,
    secondActionTitle,
    titleStyle,
    subtitleStyle,
    onFirstActionPress,
    onSecondActionPress,
    style,
    ...props
  } = _ref;
  const {
    surfaceContainer
  } = (0, _useTheme.useTheme)();
  const {
    bodyMedium,
    headlineSmall
  } = (0, _useTypography.useTypography)();
  const renderActionButtons = () => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _basicDialog.styles.actions
  }, secondActionTitle ? /*#__PURE__*/_react.default.createElement(_TextButton.TextButton, {
    style: _basicDialog.styles.actionButton,
    onPress: onSecondActionPress,
    title: secondActionTitle
  }) : null, firstActionTitle ? /*#__PURE__*/_react.default.createElement(_TextButton.TextButton, {
    style: _basicDialog.styles.actionButton,
    onPress: onFirstActionPress,
    title: firstActionTitle
  }) : null);
  return /*#__PURE__*/_react.default.createElement(_Dialog.Dialog, _extends({
    ref: ref,
    style: [style]
  }, props), prepend, title ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [headlineSmall, _basicDialog.styles.title, {
      color: surfaceContainer.text
    }, titleStyle]
  }, title) : null, subtitle ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [bodyMedium, {
      color: surfaceContainer.textVariant
    }, subtitleStyle]
  }, subtitle) : null, append, firstActionTitle ? renderActionButtons() : null);
});
exports.BasicDialog = BasicDialog;
//# sourceMappingURL=BasicDialog.component.js.map