"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalBackdropWrapper = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _useTheme = require("../../theme/useTheme.hook");
var _modalBackdropWrapper = require("./modal-backdrop-wrapper.styles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ModalBackdropWrapper = _ref => {
  let {
    visibility,
    backdropStyle,
    contentWrapperStyle,
    children,
    onRequestClose,
    ...props
  } = _ref;
  const {
    scrim
  } = (0, _useTheme.useTheme)();
  const handlePressModalContent = (0, _react.useCallback)(e => {
    e.stopPropagation();
  }, []);
  const backdropAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    opacity: (0, _reactNativeReanimated.interpolate)(visibility.value, [0, 1], [0, 0.32])
  }), []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
    transparent: true,
    supportedOrientations: ['landscape', 'portrait']
  }, props), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [_reactNative.StyleSheet.absoluteFillObject, {
      backgroundColor: scrim
    }, backdropAnimatedStyle, backdropStyle]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: [_modalBackdropWrapper.styles.contentWrapperStyle, contentWrapperStyle],
    onPress: onRequestClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    onPress: handlePressModalContent
  }, children)));
};
exports.ModalBackdropWrapper = ModalBackdropWrapper;
//# sourceMappingURL=ModalBackdropWrapper.component.js.map