"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavBar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _navBar = require("./nav-bar.styles");
var _useTheme = require("../../../theme/useTheme.hook");
var _scrollDirection = require("../../../types/scroll-direction.type");
var _NavBarItem = require("./navigation-bar-item/NavBarItem.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const NavBar = _ref => {
  let {
    routes,
    activeRouteName,
    damping = 20,
    scrollDirection,
    fixedLabelVisibility = false,
    onRoutePress,
    onLayout,
    containerStyle,
    style,
    ...props
  } = _ref;
  const [navBarHeight, setNavBarHeight] = (0, _react.useState)(0);
  const {
    surfaceContainer
  } = (0, _useTheme.useTheme)();
  const conteinerAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateY: (0, _reactNativeReanimated.withSpring)((scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === _scrollDirection.ScrollDirection.DOWN ? navBarHeight : 0, {
        damping
      })
    }]
  }), [navBarHeight]);
  const getNavBarHeight = e => {
    setNavBarHeight(e.nativeEvent.layout.height);
    if (onLayout) {
      onLayout(e);
    }
  };
  const renderRouteButton = (0, _react.useCallback)(route => /*#__PURE__*/_react.default.createElement(_NavBarItem.NavBarItem, {
    key: route.name,
    route: route,
    focused: activeRouteName === route.name,
    fixedLabelVisibility: fixedLabelVisibility,
    onPress: onRoutePress
  }), [activeRouteName, fixedLabelVisibility, onRoutePress]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [conteinerAnimatedStyle, containerStyle],
    onLayout: getNavBarHeight
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSafeAreaContext.SafeAreaView, _extends({
    mode: "padding",
    edges: ['bottom', 'left', 'right'],
    style: [_navBar.styles.container, {
      backgroundColor: surfaceContainer.background
    }, style]
  }, props), routes.map(renderRouteButton)));
};
exports.NavBar = NavBar;
//# sourceMappingURL=NavBar.component.js.map