"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabType = exports.Tab = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _tab = require("./tab.styles");
var _useTheme = require("../../../../../theme/useTheme.hook");
var _icon = require("../../../../../constants/icon");
var _Badge = require("../../../../badge/Badge.component");
var _useTypography = require("../../../../../typography/useTypography.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
let TabType = /*#__PURE__*/function (TabType) {
  TabType["PRIMATY"] = "PRIMATY";
  TabType["SECONDARY"] = "SECONDARY";
  return TabType;
}({});
exports.TabType = TabType;
const Tab = _ref => {
  let {
    icon,
    title,
    active,
    routeName,
    badge,
    type = TabType.PRIMATY,
    badgeSize = _Badge.BadgeSize.BIG,
    style,
    titleStyle,
    badgeStyle,
    innerContentStyle,
    iconProps = {},
    onPress,
    onInnerContentLayout,
    ...props
  } = _ref;
  const {
    titleSmall
  } = (0, _useTypography.useTypography)();
  const {
    surface,
    primary
  } = (0, _useTheme.useTheme)();
  const Icon = icon;
  const activeContainerContentColor = type === TabType.PRIMATY ? primary.background : surface.text;
  const onContainerContentColor = active ? activeContainerContentColor : surface.textVariant;
  const handleTabPress = () => onPress(routeName);
  const primaryTabAppliedStyle = icon ? TabType.PRIMATY : TabType.SECONDARY;
  const [badgeBaseStyle, innerContentBaseStyle] = type === TabType.PRIMATY ? [_tab.styles[`badge${primaryTabAppliedStyle}`], _tab.styles[`innerContent${primaryTabAppliedStyle}`]] : [_tab.styles[`badge${type}`], _tab.styles[`innerContent${TabType.SECONDARY}`]];
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    onPress: handleTabPress,
    style: [_tab.styles.container, style]
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    onLayout: onInnerContentLayout,
    style: [innerContentBaseStyle, innerContentStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, Icon ? /*#__PURE__*/_react.default.createElement(Icon, _extends({
    color: onContainerContentColor,
    size: _icon.DEFAULT_ICON_SIZE
  }, iconProps)) : null, badge && type === TabType.PRIMATY && Icon ? /*#__PURE__*/_react.default.createElement(_Badge.Badge, {
    size: badgeSize,
    value: badge,
    style: [badgeBaseStyle, {
      transform: [{
        translateX: (iconProps.size ?? _icon.DEFAULT_ICON_SIZE) - 4
      }]
    }, badgeStyle]
  }) : null), title ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [titleSmall, {
      color: onContainerContentColor
    }, titleStyle]
  }, title) : null, badge && (!Icon || type === TabType.SECONDARY) ? /*#__PURE__*/_react.default.createElement(_Badge.Badge, {
    size: badgeSize,
    value: badge,
    style: badgeBaseStyle
  }) : null));
};
exports.Tab = Tab;
//# sourceMappingURL=Tab.component.js.map