"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSliderTrackPoints = void 0;
const useSliderTrackPoints = _ref => {
  let {
    max,
    min,
    step,
    centered
  } = _ref;
  const getDiscreteSliderTrackPoints = discreteStep => {
    const totalPoints = Math.ceil((max - min) / discreteStep) + 1;
    return Array.from({
      length: totalPoints
    }, (_, index) => Math.min(min + index * discreteStep, max));
  };
  const getContinuousSliderTrackPoints = () => centered ? [min, (min + max) / 2, max] : [max];
  const trackPoints = step ? getDiscreteSliderTrackPoints(step) : getContinuousSliderTrackPoints();
  return trackPoints;
};
exports.useSliderTrackPoints = useSliderTrackPoints;
//# sourceMappingURL=useSliderTrackPoints.hook.js.map