"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderIndicator = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _reactNative = require("react-native");
var _sliderIndicator = require("./slider-indicator.styles");
var _useTheme = require("../../../../theme/useTheme.hook");
var _convertToRgba = require("../../../../utils/convert-to-rgba");
var _useTypography = require("../../../../typography/useTypography.component");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
_reactNativeReanimated.default.addWhitelistedNativeProps({
  text: true
});
const AnimatedTextInput = _reactNativeReanimated.default.createAnimatedComponent(_reactNative.TextInput);
const THUMB_VALUE_GAP = 4;
const SliderIndicator = _ref => {
  let {
    sliding,
    disabled,
    animValueProps,
    thumbStyle,
    valueStyle,
    valueHeight = 44,
    thumbWidthActive = 2,
    thumbWidthInactive = 4,
    ...props
  } = _ref;
  const {
    labelLarge
  } = (0, _useTypography.useTypography)();
  const {
    surface,
    primary
  } = (0, _useTheme.useTheme)();
  const disabledColor = (0, _react.useMemo)(() => (0, _convertToRgba.convertToRGBA)(surface.text, 0.38), [surface.text]);
  const valueAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    const topActive = -valueHeight - THUMB_VALUE_GAP;
    return {
      opacity: sliding.value,
      transform: [{
        scale: sliding.value
      }],
      top: (0, _reactNativeReanimated.interpolate)(sliding.value, [0, 1], [topActive / 2, -valueHeight - THUMB_VALUE_GAP])
    };
  }, [valueHeight]);
  const thumbAnimatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    width: (0, _reactNativeReanimated.interpolate)(sliding.value, [0, 1], [thumbWidthInactive, thumbWidthActive])
  }), [thumbWidthActive, thumbWidthInactive]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, props, /*#__PURE__*/_react.default.createElement(AnimatedTextInput, {
    editable: false,
    animatedProps: animValueProps,
    style: [labelLarge, _sliderIndicator.styles.value, {
      backgroundColor: surface.backgroundInverse,
      height: valueHeight
    }, valueAnimatedStyle, {
      color: surface.textInverse
    }, valueStyle]
  }), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [_sliderIndicator.styles.thumb, {
      backgroundColor: disabled ? disabledColor : primary.background
    }, thumbAnimatedStyle, thumbStyle]
  }));
};
exports.SliderIndicator = SliderIndicator;
//# sourceMappingURL=SliderIndicator.component.js.map