"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderTrackPoint = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _reactNative = require("react-native");
var _sliderTrackPoint = require("./slider-track-point.styles");
var _useTheme = require("../../../../theme/useTheme.hook");
var _convertToRgba = require("../../../../utils/convert-to-rgba");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AnimatedPressable = _reactNativeReanimated.default.createAnimatedComponent(_reactNative.Pressable);
const SliderTrackPoint = _ref => {
  let {
    value,
    disabled,
    selectedValue,
    disableColorChange = false,
    onPress,
    style,
    ...props
  } = _ref;
  const {
    secondaryContainer,
    surface
  } = (0, _useTheme.useTheme)();
  const [selectedTrackPointColor, unselectedTrackPointColor] = (0, _react.useMemo)(() => disabled ? [(0, _convertToRgba.convertToRGBA)(surface.textInverse, 0.66), (0, _convertToRgba.convertToRGBA)(surface.text, 0.38)] : [secondaryContainer.background, secondaryContainer.text], [disabled, surface]);
  const trackPointAnimatedColorStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    backgroundColor: !disableColorChange && isTrackPointSelected(value, selectedValue.value) ? selectedTrackPointColor : unselectedTrackPointColor
  }), [disableColorChange, value, selectedTrackPointColor, unselectedTrackPointColor]);
  const handleTrackPointPress = () => onPress(value);
  return /*#__PURE__*/_react.default.createElement(AnimatedPressable, _extends({
    hitSlop: 16,
    onPress: handleTrackPointPress,
    style: [_sliderTrackPoint.styles.trackPoint, trackPointAnimatedColorStyle, style],
    disabled: disabled
  }, props));
};
exports.SliderTrackPoint = SliderTrackPoint;
const isTrackPointSelected = (pointValue, sliderValue) => {
  'worklet';

  if (typeof sliderValue === 'number') {
    return sliderValue >= pointValue;
  } else if (typeof sliderValue[0] !== 'undefined' && typeof sliderValue[1] !== 'undefined') {
    return pointValue >= sliderValue[0] && pointValue <= sliderValue[1];
  }
  return false;
};
//# sourceMappingURL=SliderTrackPoint.component.js.map