"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSliderColors = void 0;
var _react = require("react");
var _useTheme = require("../../theme/useTheme.hook");
var _convertToRgba = require("../../utils/convert-to-rgba");
const useSliderColors = (disabled, centered) => {
  const theme = (0, _useTheme.useTheme)();
  const [filledTrackColor, remainingTrackColor] = (0, _react.useMemo)(() => {
    const disabledRemainingTrackColor = (0, _convertToRgba.convertToRGBA)(theme.surface.text, 0.12);
    const [enabledFilledTrackColor, disabledFilledTrackColor] = centered ? [theme.secondaryContainer.background, disabledRemainingTrackColor] : [theme.primary.background, (0, _convertToRgba.convertToRGBA)(theme.surface.text, 0.38)];
    return disabled ? [disabledFilledTrackColor, disabledRemainingTrackColor] : [enabledFilledTrackColor, theme.secondaryContainer.background];
  }, [disabled, centered, theme]);
  return {
    filledTrackColor,
    remainingTrackColor
  };
};
exports.useSliderColors = useSliderColors;
//# sourceMappingURL=use-slider-colors.hook.js.map