"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTextInputColors = void 0;
var _react = require("react");
var _useTheme = require("../../theme/useTheme.hook");
var _convertToRgba = require("../../utils/convert-to-rgba");
var _getTextInputActiveColors = require("./get-text-input-active-colors");
var _getTextInputDisabledColors = require("./get-text-input-disabled-colors");
const useTextInputColors = _ref => {
  let {
    disabled,
    isError
  } = _ref;
  const theme = (0, _useTheme.useTheme)();
  const [primaryColorBasedOnError, surfaceVariantColorBasedOnError] = isError ? [theme.error.background, theme.error.background] : [theme.primary.background, theme.surface.textVariant];
  const [disabledOnSurfaceColor, disabledSurfaceContaienerHighestColor] = (0, _react.useMemo)(() => [(0, _convertToRgba.convertToRGBA)(theme.surface.text, 0.38), (0, _convertToRgba.convertToRGBA)(theme.surfaceContainer.backgroundHighest, 0.38)], [theme]);
  const colors = (0, _react.useMemo)(() => disabled ? (0, _getTextInputDisabledColors.getTextInputDisabledColors)(disabledOnSurfaceColor, disabledSurfaceContaienerHighestColor) : (0, _getTextInputActiveColors.getTextInputActiveColors)(theme, primaryColorBasedOnError, surfaceVariantColorBasedOnError), [disabled, disabledOnSurfaceColor, disabledSurfaceContaienerHighestColor, primaryColorBasedOnError, surfaceVariantColorBasedOnError]);
  return colors;
};
exports.useTextInputColors = useTextInputColors;
//# sourceMappingURL=use-text-input-colors.hook.js.map