"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTextInputFocus = void 0;
var _react = require("react");
var _reactNativeReanimated = require("react-native-reanimated");
const useTextInputFocus = _ref => {
  let {
    inputRef,
    onFocus,
    onBlur
  } = _ref;
  const focusAnim = (0, _reactNativeReanimated.useSharedValue)(0);
  const onInputFocus = (0, _react.useCallback)(e => {
    focusAnim.value = (0, _reactNativeReanimated.withTiming)(1);
    if (onFocus) {
      onFocus(e);
    }
  }, [onFocus]);
  const onInputBlur = (0, _react.useCallback)(e => {
    focusAnim.value = (0, _reactNativeReanimated.withTiming)(0);
    if (onBlur) {
      onBlur(e);
    }
  }, [onBlur]);
  const focusInput = (0, _react.useCallback)(() => {
    var _inputRef$current;
    if (!((_inputRef$current = inputRef.current) !== null && _inputRef$current !== void 0 && _inputRef$current.isFocused())) {
      var _inputRef$current2;
      (_inputRef$current2 = inputRef.current) === null || _inputRef$current2 === void 0 || _inputRef$current2.focus();
    }
  }, []);
  return {
    focusAnim,
    focusAnimRange: [0, 1],
    focusInput,
    onInputBlur,
    onInputFocus
  };
};
exports.useTextInputFocus = useTextInputFocus;
//# sourceMappingURL=use-text-input-focus-anim.hook.js.map