"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultThemeColors = exports.buildThemesFromColors = exports.LightTheme = exports.DarkTheme = void 0;
var _theme = require("./theme");
var _getPalette = require("./get-palette");
const defaultThemeColors = {
  primary: '#6750A4',
  secondary: '#625B71',
  tertiary: '#7D5260',
  error: '#B3261E',
  neutral: '#605D64',
  neutralVariant: '#605D66'
};
exports.defaultThemeColors = defaultThemeColors;
const buildThemesFromColors = themeColors => {
  const palette = (0, _getPalette.getPalette)(themeColors);
  const lightTheme = _theme.MaterialTheme.generateLightTheme(palette);
  const darkTheme = _theme.MaterialTheme.generateDarkTheme(palette);
  return {
    lightTheme,
    darkTheme
  };
};
exports.buildThemesFromColors = buildThemesFromColors;
const {
  lightTheme: LightTheme,
  darkTheme: DarkTheme
} = buildThemesFromColors(defaultThemeColors);
exports.DarkTheme = DarkTheme;
exports.LightTheme = LightTheme;
//# sourceMappingURL=build-theme.js.map