"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertToRGBA = void 0;
var _materialColorUtilities = require("@material/material-color-utilities");
const BLACK_RGBA = 'rgba(0, 0, 0, 1)';
const convertToRGBA = (color, opacity) => {
  if (color.startsWith('#')) {
    const argb = (0, _materialColorUtilities.argbFromHex)(color);
    const {
      r,
      g,
      b
    } = (0, _materialColorUtilities.rgbaFromArgb)(argb);
    return `rgba(${r}, ${g}, ${b}, ${opacity})`;
  }
  if (color.startsWith('rgba')) {
    return color;
  }
  if (color.startsWith('rgb')) {
    const [r, g, b] = color.match(/\d+/g).slice(0, 3);
    return `rgba(${r}, ${g}, ${b}, ${opacity})`;
  }
  return BLACK_RGBA;
};
exports.convertToRGBA = convertToRGBA;
//# sourceMappingURL=convert-to-rgba.js.map