function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { useSafeAreaInsets } from 'react-native-safe-area-context';
import React, { useImperativeHandle, useState, forwardRef } from 'react';
import { View } from 'react-native';
import Animated, { useAnimatedStyle, withSpring } from 'react-native-reanimated';
import { useTheme } from '../../../theme/useTheme.hook';
import { ScrollDirection } from '../../../types/scroll-direction.type';
import { BOTTOM_APP_BAR_PADDING_VARTICAL, styles } from './bottom-app-bar.styles';
import { FloatingActionButton, FloatingActionButtonSize } from '../../buttons/floating-action-button/FloatingActionButton.component';
import { AnimatedBottomAppBarActionButton } from './animated-bottom-app-bar-action-button/AnimatedBottomAppBarActionButton.component';
const FAB_BOTTOM_GAP = 12;
export const BottomAppBar = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    iconButtons,
    scrollDirection,
    FabIcon,
    fabLabel,
    style,
    onFabPress,
    onLayout,
    animationDelay,
    animationDumping,
    ...props
  } = _ref;
  const [bottomBarHeight, setBottombarHeight] = useState(0);
  const insets = useSafeAreaInsets();
  const {
    surfaceContainer,
    secondaryContainer
  } = useTheme();
  useImperativeHandle(ref, () => ({
    getHeight: () => bottomBarHeight
  }));
  const conteinerAnimatedStyle = useAnimatedStyle(() => ({
    transform: [{
      translateY: withSpring((scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === ScrollDirection.DOWN ? bottomBarHeight : 0, {
        damping: 20
      })
    }]
  }));
  const getBottomBarHeight = e => {
    setBottombarHeight(e.nativeEvent.layout.height);
    if (onLayout) {
      onLayout(e);
    }
  };
  const renderIconButton = (iconButton, index) => /*#__PURE__*/React.createElement(AnimatedBottomAppBarActionButton, {
    key: `${iconButton.Icon.toString()}-${index}`,
    buttonProps: iconButton,
    index: index,
    scrollDirection: scrollDirection,
    bottomBarHeight: bottomBarHeight,
    animationDelay: animationDelay,
    animationDumping: animationDumping
  });
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Animated.View, _extends({
    style: [styles.container, {
      backgroundColor: surfaceContainer.background,
      paddingBottom: insets.bottom + BOTTOM_APP_BAR_PADDING_VARTICAL
    }, conteinerAnimatedStyle, style],
    onLayout: getBottomBarHeight
  }, props), /*#__PURE__*/React.createElement(View, {
    style: styles.iconButtons
  }, iconButtons.map(renderIconButton))), FabIcon && /*#__PURE__*/React.createElement(FloatingActionButton, {
    Icon: FabIcon,
    label: fabLabel,
    onPress: onFabPress,
    size: FloatingActionButtonSize.BIG,
    iconProps: {
      color: secondaryContainer.text
    },
    style: [styles.fab, {
      bottom: insets.bottom + FAB_BOTTOM_GAP
    }]
  }));
});
//# sourceMappingURL=BottomAppBar.component.js.map