function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import Animated, { FadeInDown, FadeOut, withDelay, useAnimatedStyle, withSpring } from 'react-native-reanimated';
import { useTheme } from '../../../../theme/useTheme.hook';
import { ScrollDirection } from '../../../../types/scroll-direction.type';
import { StandartIconButton } from '../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component';
export const AnimatedBottomAppBarActionButton = _ref => {
  let {
    index,
    buttonProps,
    bottomBarHeight,
    scrollDirection,
    animationDumping = 20,
    animationDelay = 80
  } = _ref;
  const {
    surface
  } = useTheme();
  const iconButtonAnimatedStyle = useAnimatedStyle(() => ({
    transform: [{
      translateY: (scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === ScrollDirection.DOWN ? withSpring(bottomBarHeight, {
        damping: animationDumping
      }) : withDelay(index * animationDelay, withSpring(0, {
        damping: animationDumping
      }))
    }]
  }));
  return /*#__PURE__*/React.createElement(Animated.View, {
    exiting: FadeOut,
    entering: FadeInDown.damping(animationDumping).delay((index + 1) * animationDelay),
    key: `${index}-${buttonProps.Icon.toString()}`,
    style: iconButtonAnimatedStyle
  }, /*#__PURE__*/React.createElement(StandartIconButton, _extends({
    iconProps: {
      color: surface.textVariant
    }
  }, buttonProps)));
};
//# sourceMappingURL=AnimatedBottomAppBarActionButton.component.js.map