function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { useSafeAreaInsets } from 'react-native-safe-area-context';
import Animated, { useAnimatedStyle, interpolateColor, withTiming } from 'react-native-reanimated';
import { useTheme } from '../../../../theme/useTheme.hook';
import { BASE_TOP_APP_BAR_PADDING_VERTICAL, styles } from './base-top-app-bar.styles';
const DEFAULT_ANIMATION_DURATION = 300;
export const BaseTopAppBar = _ref => {
  let {
    children,
    scrollStatus,
    defaultColor,
    scrolledColor,
    animationDuration = DEFAULT_ANIMATION_DURATION,
    style,
    ...props
  } = _ref;
  const insets = useSafeAreaInsets();
  const {
    surfaceContainer,
    surface
  } = useTheme();
  const containerAnimatedStyle = useAnimatedStyle(() => typeof scrollStatus !== 'undefined' ? {
    backgroundColor: withTiming(interpolateColor(scrollStatus.value, [0, 1], [defaultColor ?? surface.background, scrolledColor ?? surfaceContainer.background]), {
      duration: animationDuration
    })
  } : {}, [defaultColor, scrolledColor, animationDuration]);
  return /*#__PURE__*/React.createElement(Animated.View, _extends({
    style: [styles.container, {
      paddingTop: insets.top + BASE_TOP_APP_BAR_PADDING_VERTICAL
    }, containerAnimatedStyle, style]
  }, props), children);
};
//# sourceMappingURL=BaseTopAppBar.component.js.map