function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Text } from 'react-native';
import { useTheme } from '../../../../theme/useTheme.hook';
import { styles } from './center-aligned-top-app-bar.styles';
import { useTypography } from '../../../../typography/useTypography.component';
import { ArrowBackIcon } from '../../../icons/arrow-back-icon/ArrowBackIcon.component';
import { BaseTopAppBar } from '../base-top-app-bar/BaseTopAppBar.component';
import { StandartIconButton } from '../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component';
import { AccountCircleFilledIcon } from '../../../icons/account-circle-filled-icon/AccountCircleFilledIcon.component';
export const CenterAlignedTopAppBar = _ref => {
  let {
    title,
    scrollStatus,
    EndIcon = AccountCircleFilledIcon,
    StartIcon = ArrowBackIcon,
    iconProps,
    style,
    titleStyle,
    ...props
  } = _ref;
  const {
    surface
  } = useTheme();
  const {
    titleLarge
  } = useTypography();
  return /*#__PURE__*/React.createElement(BaseTopAppBar, _extends({
    scrollStatus: scrollStatus,
    style: [styles.container, style]
  }, props), /*#__PURE__*/React.createElement(StandartIconButton, {
    Icon: StartIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...iconProps
    }
  }), /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: [styles.title, titleLarge, {
      color: surface.text
    }, titleStyle]
  }, title), /*#__PURE__*/React.createElement(StandartIconButton, {
    Icon: EndIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...iconProps
    }
  }));
};
//# sourceMappingURL=CenterAlignedTopAppBar.component.js.map