function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Text, View } from 'react-native';
import { styles } from './top-app-bar.styles';
import { useTheme } from '../../../../theme/useTheme.hook';
import { useTypography } from '../../../../typography/useTypography.component';
import { ArrowBackIcon } from '../../../icons/arrow-back-icon/ArrowBackIcon.component';
import { BaseTopAppBar } from '../base-top-app-bar/BaseTopAppBar.component';
import { StandartIconButton } from '../../../buttons/icon-buttons/standart-icon-button/StandardIconButton.component';
export let TopAppBarSize = /*#__PURE__*/function (TopAppBarSize) {
  TopAppBarSize["SMALL"] = "SMALL";
  TopAppBarSize["MEDIUM"] = "MEDIUM";
  TopAppBarSize["LARGE"] = "LARGE";
  return TopAppBarSize;
}({});
export const TopAppBar = _ref => {
  let {
    title,
    scrollStatus,
    actions = [],
    size = TopAppBarSize.SMALL,
    StartIcon = ArrowBackIcon,
    startIconProps,
    style,
    titleStyle,
    ...props
  } = _ref;
  const {
    surface
  } = useTheme();
  const {
    titleLarge,
    headlineSmall,
    headlineMedium
  } = useTypography();
  const titleTypography = {
    [TopAppBarSize.SMALL]: titleLarge,
    [TopAppBarSize.MEDIUM]: headlineSmall,
    [TopAppBarSize.LARGE]: headlineMedium
  };
  const renderActionButton = (_ref2, index) => {
    let {
      Icon,
      iconProps,
      ...restProps
    } = _ref2;
    return /*#__PURE__*/React.createElement(StandartIconButton, _extends({
      key: `${index}-${Icon.toString()}`,
      Icon: Icon,
      iconProps: {
        color: surface.text,
        size: 24,
        ...iconProps
      }
    }, restProps));
  };
  return /*#__PURE__*/React.createElement(BaseTopAppBar, _extends({
    scrollStatus: scrollStatus,
    style: [styles[size].container, style]
  }, props), /*#__PURE__*/React.createElement(View, {
    style: styles[size].actionsBar
  }, /*#__PURE__*/React.createElement(StandartIconButton, {
    Icon: StartIcon,
    iconProps: {
      color: surface.text,
      size: 24,
      ...startIconProps
    }
  }), size === TopAppBarSize.SMALL && /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: [styles[size].title, titleLarge, {
      color: surface.text
    }, titleStyle]
  }, title), /*#__PURE__*/React.createElement(View, {
    style: styles[size].actions
  }, actions.map(renderActionButton))), size !== TopAppBarSize.SMALL && /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: [styles[size].title, titleTypography[size], {
      color: surface.text
    }, titleStyle]
  }, title));
};
//# sourceMappingURL=TopAppBar.component.js.map