function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { View, Text } from 'react-native';
import { styles } from './badge.styles';
import { useTheme } from '../../theme/useTheme.hook';
import { useTypography } from '../../typography/useTypography.component';
export let BadgeSize = /*#__PURE__*/function (BadgeSize) {
  BadgeSize["BIG"] = "BIG";
  BadgeSize["SMALL"] = "SMALL";
  return BadgeSize;
}({});
export const Badge = _ref => {
  let {
    value,
    size = BadgeSize.BIG,
    style,
    valueStyle,
    ...props
  } = _ref;
  const {
    error
  } = useTheme();
  const {
    labelSmall
  } = useTypography();
  const shapeStyleMap = {
    [BadgeSize.BIG]: styles.big,
    [BadgeSize.SMALL]: styles.small
  };
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.container, shapeStyleMap[size], {
      backgroundColor: error.background
    }, style]
  }, props), size === BadgeSize.BIG && /*#__PURE__*/React.createElement(Text, {
    style: [labelSmall, {
      color: error.text
    }, valueStyle]
  }, value));
};
//# sourceMappingURL=Badge.component.js.map