function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { StyleSheet } from 'react-native';
import { useTheme } from '../../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../../utils/convert-to-rgba';
import { CommonButton } from '../common-button/CommonButton.component';
export const TonalButton = _ref => {
  let {
    titleStyle,
    style,
    iconProps = {},
    ...props
  } = _ref;
  const {
    secondaryContainer,
    surface
  } = useTheme();
  const colorStyles = useMemo(() => StyleSheet.create(props.disabled ? {
    title: {
      color: convertToRGBA(surface.text, 0.38)
    },
    container: {
      borderColor: convertToRGBA(surface.text, 0.12)
    }
  } : {
    title: {
      color: secondaryContainer.text
    },
    container: {
      backgroundColor: secondaryContainer.background
    }
  }), [props.disabled]);
  return /*#__PURE__*/React.createElement(CommonButton, _extends({
    style: [colorStyles.container, style],
    titleStyle: [colorStyles.title, titleStyle],
    iconProps: {
      color: colorStyles.title.color,
      ...iconProps
    }
  }, props));
};
//# sourceMappingURL=TonalButton.component.js.map