function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useTheme } from '../../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../../utils/convert-to-rgba';
import { BaseIconButton } from '../base-icon-button/BaseIconButton.component';
export const FilledIconButton = _ref => {
  let {
    selected,
    Icon,
    selectedIcon,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    primary,
    surface,
    surfaceContainer
  } = useTheme();
  const [disabledIconColor, disabledContainerColor] = useMemo(() => [convertToRGBA(surface.text, 0.38), convertToRGBA(surface.text, 0.12)], [surface.text]);
  const [activeContainerColor, activeIconColor, IconComponent] = selected ? [primary.background, primary.text, selectedIcon ?? Icon] : [surfaceContainer.backgroundHighest, primary.background, Icon];
  const [appliedContainerColor, appliedIconColor] = props.disabled ? [disabledContainerColor, disabledIconColor] : [activeContainerColor, activeIconColor];
  return /*#__PURE__*/React.createElement(BaseIconButton, _extends({
    Icon: IconComponent,
    iconProps: {
      color: appliedIconColor,
      ...iconProps
    },
    style: [{
      backgroundColor: appliedContainerColor
    }, style]
  }, props));
};
//# sourceMappingURL=FilledIconButton.component.js.map