function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useTheme } from '../../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../../utils/convert-to-rgba';
import { BaseIconButton } from '../base-icon-button/BaseIconButton.component';
export const OutlinedIconButton = _ref => {
  let {
    selected,
    Icon,
    selectedIcon,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    surface,
    outline
  } = useTheme();
  const [disabledIconColor, disabledContainerColor] = useMemo(() => [convertToRGBA(surface.text, 0.38), convertToRGBA(surface.text, 0.12)], [surface.text]);
  const appliedDisabledContainerColor = selected ? disabledContainerColor : 'transparent';
  const [activeContainerColor, activeIconColor, activeBorderColor, IconComponent] = selected ? [surface.backgroundInverse, surface.textInverse, surface.backgroundInverse, selectedIcon ?? Icon] : ['transparent', surface.textVariant, outline, Icon];
  const [appliedContainerColor, appliedIconColor, appliedBorderColor] = props.disabled ? [appliedDisabledContainerColor, disabledIconColor, disabledContainerColor] : [activeContainerColor, activeIconColor, activeBorderColor];
  return /*#__PURE__*/React.createElement(BaseIconButton, _extends({
    Icon: IconComponent,
    iconProps: {
      color: appliedIconColor,
      ...iconProps
    },
    style: [{
      backgroundColor: appliedContainerColor,
      borderColor: appliedBorderColor,
      borderWidth: Number(!selected)
    }, style]
  }, props));
};
//# sourceMappingURL=OutlinedIconButton.component.js.map