function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useMemo } from 'react';
import { View } from 'react-native';
import { styles } from './segmented-button.styles';
import { useTheme } from '../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../utils/convert-to-rgba';
import { ButtonSegment as ButtonSegmentComponent } from './button-segment/ButtonSegment.component';
export const SegmentedButton = _ref => {
  let {
    segments,
    selected,
    disabled = false,
    multiSelectionEnabled = false,
    onSegmentPress,
    style,
    withCheckmark,
    labelStyle,
    iconSize,
    iconColor,
    rippleColor,
    ...props
  } = _ref;
  const {
    outline
  } = useTheme();
  const borderColor = useMemo(() => disabled ? convertToRGBA(outline, 0.12) : outline, [disabled]);
  const renderButtonSegment = useCallback((segment, index) => /*#__PURE__*/React.createElement(ButtonSegmentComponent, _extends({
    key: segment.value,
    style: {
      borderLeftWidth: Number(Boolean(index)),
      borderLeftColor: borderColor
    },
    selected: selected.includes(segment.value),
    onSegmentPress: onSegmentPress,
    disabled: disabled,
    multiSelectionEnabled: multiSelectionEnabled,
    withCheckmark: withCheckmark,
    labelStyle: labelStyle,
    iconSize: iconSize,
    iconColor: iconColor,
    rippleColor: rippleColor
  }, segment)), [selected, withCheckmark, disabled, borderColor, labelStyle, iconColor, iconSize, rippleColor, multiSelectionEnabled, onSegmentPress]);
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.container, {
      borderColor
    }, style]
  }, props), segments.map(renderButtonSegment));
};
//# sourceMappingURL=SegmentedButton.component.js.map