function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback } from 'react';
import Svg, { Path } from 'react-native-svg';
import Animated, { interpolate, useAnimatedProps, useSharedValue, withTiming } from 'react-native-reanimated';
const AnimatedPath = Animated.createAnimatedComponent(Path);
export const AnimatedSelectedIcon = props => {
  const pathRef = React.useRef(null);
  const progress = useSharedValue(0);
  const [length, setLength] = React.useState(0);
  const onLayout = useCallback(() => {
    var _pathRef$current;
    return setLength(((_pathRef$current = pathRef.current) === null || _pathRef$current === void 0 ? void 0 : _pathRef$current.getTotalLength()) ?? 0);
  }, [pathRef.current]);
  React.useEffect(() => {
    progress.value = withTiming(1, {
      duration: 330
    });
  }, []);
  const animatedProps = useAnimatedProps(() => ({
    strokeDashoffset: interpolate(progress.value, [0, 1], [length, 0])
  }));
  return /*#__PURE__*/React.createElement(Svg, _extends({
    width: props.width,
    height: props.height,
    viewBox: "0 0 21 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement(AnimatedPath, {
    ref: pathRef,
    onLayout: onLayout,
    stroke: props.stroke,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: props.strokeWidth,
    d: "M4 12.611 8.923 17.5 20 6.5",
    animatedProps: animatedProps,
    strokeDasharray: length
  }));
};
//# sourceMappingURL=AnimatedSelectedIcon.component.js.map