function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { TouchableOpacity, Platform } from 'react-native';
import { styles } from './elevated-card.styles';
import { useTheme } from '../../../theme/useTheme.hook';
export const ElevatedCard = _ref => {
  let {
    style,
    children,
    ...props
  } = _ref;
  const {
    surfaceContainer,
    shadow
  } = useTheme();
  const elevationStyle = useMemo(() => Platform.select({
    ios: [styles.iosElevation, {
      shadowColor: shadow
    }],
    android: [styles.androidElevation, {
      shadowColor: shadow
    }]
  }), []);
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    style: [styles.container, {
      backgroundColor: surfaceContainer.backgroundLow
    }, elevationStyle, style]
  }, props), children);
};
//# sourceMappingURL=ElevatedCard.cpmponent.js.map