function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useTheme } from '../../../theme/useTheme.hook';
import { getColorStyles, styles } from './assist-chip.styles';
import { BaseChip } from '../base-chip/BaseChip.component';
export let IconType = /*#__PURE__*/function (IconType) {
  IconType["COMMON"] = "COMMON";
  IconType["FAVICON"] = "FAVICON";
  IconType["BRANDED"] = "BRANDED";
  return IconType;
}({});
export const AssistChip = _ref => {
  let {
    elevated = false,
    LeadingIcon,
    TrailingIcon,
    leadingIconType = IconType.COMMON,
    trailingIconType = IconType.COMMON,
    leadingIconProps = {},
    trailingIconProps = {},
    iconSize = 18,
    style,
    labelStyle,
    disabled = false,
    ...props
  } = _ref;
  const theme = useTheme();
  const colorStyles = useMemo(() => getColorStyles(elevated, disabled, theme), [disabled, elevated, theme]);
  const iconPropsMap = {
    [IconType.COMMON]: {
      size: iconSize,
      color: colorStyles.icon.color
    },
    [IconType.FAVICON]: {
      size: iconSize
    },
    [IconType.BRANDED]: {
      size: iconSize,
      style: {
        opacity: 0.38
      }
    }
  };
  return /*#__PURE__*/React.createElement(BaseChip, _extends({
    style: [elevated && !disabled ? styles.elevatedContainer : styles.outlinedContainer, colorStyles.container, style],
    labelStyle: [colorStyles.label, labelStyle],
    leadingIcon: LeadingIcon ? /*#__PURE__*/React.createElement(LeadingIcon, _extends({}, iconPropsMap[leadingIconType], leadingIconProps)) : null,
    trailingIcon: TrailingIcon ? /*#__PURE__*/React.createElement(TrailingIcon, _extends({}, iconPropsMap[trailingIconType], trailingIconProps)) : null,
    disabled: disabled
  }, props));
};
//# sourceMappingURL=AssistChip.component.js.map