import { StyleSheet } from 'react-native';
import { convertToRGBA } from '../../../utils/convert-to-rgba';
export const styles = StyleSheet.create({
  outlinedContainer: {
    borderWidth: 1
  },
  elevatedContainer: {
    shadowOffset: {
      width: 0,
      height: 1
    },
    shadowOpacity: 0.15,
    shadowRadius: 3,
    elevation: 1
  }
});
export const getColorStyles = (elevated, disabled, theme) => {
  const labelDisabledColor = convertToRGBA(theme.surface.text, 0.38);
  const containerDisabledColor = convertToRGBA(theme.surface.textVariant, 0.12);
  const [enabledBorderColor, enabledBackgroundColor] = elevated ? ['transparent', theme.surfaceContainer.backgroundLow] : [theme.outline, 'transparent'];
  const [disabledBorderColor, disabledBackgroundColor] = elevated ? ['transparent', containerDisabledColor] : [containerDisabledColor, 'transparent'];
  return StyleSheet.create(disabled ? {
    label: {
      color: labelDisabledColor
    },
    container: {
      backgroundColor: disabledBackgroundColor,
      borderColor: disabledBorderColor
    },
    icon: {
      color: labelDisabledColor
    }
  } : {
    label: {
      color: theme.surface.text
    },
    container: {
      borderColor: enabledBorderColor,
      backgroundColor: enabledBackgroundColor
    },
    icon: {
      color: theme.primary.background
    }
  });
};
//# sourceMappingURL=assist-chip.styles.js.map