function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import Animated, { LinearTransition } from 'react-native-reanimated';
import { useTheme } from '../../../theme/useTheme.hook';
import { getDynamicStyles, styles } from './filter-chip.styles';
import { BaseChip } from '../base-chip/BaseChip.component';
import { CircularActivityIndicator } from '../../activity-indicators/circular-activity-indicator/CircularActivityIndicator.component';
import { FilterChipLeadingIcon } from './leading-icon/FilterChipLeadingIcon.component';
export const FilterChip = _ref => {
  let {
    elevated = false,
    selected = false,
    loading = false,
    LeadingIcon,
    TrailingIcon,
    leadingIconProps = {},
    trailingIconProps = {},
    iconSize = 18,
    activityIndicatorSize = 38,
    style,
    labelStyle,
    disabled = false,
    ...props
  } = _ref;
  const theme = useTheme();
  const dynamicStyles = useMemo(() => getDynamicStyles(selected, elevated, disabled, theme), [disabled, elevated, selected, theme]);
  const leadingIcon = loading ? /*#__PURE__*/React.createElement(CircularActivityIndicator, {
    size: activityIndicatorSize,
    style: {
      height: iconSize,
      width: iconSize
    }
  }) : /*#__PURE__*/React.createElement(FilterChipLeadingIcon, {
    size: iconSize,
    selected: selected,
    customLeadingIcon: LeadingIcon,
    color: dynamicStyles.icon.color,
    selectedColor: dynamicStyles.selectedIcon.color,
    leadingIconProps: leadingIconProps
  });
  return /*#__PURE__*/React.createElement(Animated.View, {
    layout: LinearTransition
  }, /*#__PURE__*/React.createElement(BaseChip, _extends({
    style: [elevated && !disabled ? styles.elevatedContainer : styles.outlinedContainer, dynamicStyles.container, style],
    labelStyle: [dynamicStyles.label, labelStyle],
    leadingIcon: leadingIcon,
    trailingIcon: TrailingIcon ? /*#__PURE__*/React.createElement(TrailingIcon, _extends({
      size: 18,
      color: dynamicStyles.icon.color
    }, trailingIconProps)) : null,
    disabled: disabled
  }, props)));
};
//# sourceMappingURL=FilterChip.component.js.map