function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { Image, StyleSheet } from 'react-native';
import { CloseIcon } from '../../icons';
import { styles } from './input-chip.styles';
import { useTheme } from '../../../theme/useTheme.hook';
import { BaseChip } from '../base-chip/BaseChip.component';
export const InputChip = _ref => {
  let {
    selected = false,
    LeadingIcon,
    TrailingIcon,
    imageUrl,
    leadingIconProps = {},
    trailingIconProps = {},
    hasDefaultTrailingIcon = true,
    style,
    labelStyle,
    iconSize = 18,
    ...props
  } = _ref;
  const {
    surface,
    secondaryContainer,
    outline,
    primary
  } = useTheme();
  const onContainerColor = selected ? secondaryContainer.text : surface.textVariant;
  const dynamicStyles = useMemo(() => StyleSheet.create({
    container: {
      borderWidth: Number(!selected),
      borderColor: outline,
      backgroundColor: selected ? secondaryContainer.background : 'transparent'
    },
    label: {
      color: onContainerColor
    }
  }), [selected, onContainerColor]);
  const renderLeadingAvatar = () => imageUrl ? /*#__PURE__*/React.createElement(Image, {
    style: styles.leadingImage,
    source: {
      uri: imageUrl
    }
  }) : null;
  const renderDefaultTrailingIcon = () => hasDefaultTrailingIcon ? /*#__PURE__*/React.createElement(CloseIcon, {
    size: iconSize,
    color: onContainerColor
  }) : null;
  return /*#__PURE__*/React.createElement(BaseChip, _extends({
    style: [dynamicStyles.container, imageUrl ? styles.chipWithAvatarContainer : [], style],
    labelStyle: [dynamicStyles.label, labelStyle],
    leadingIcon: LeadingIcon ? /*#__PURE__*/React.createElement(LeadingIcon, _extends({
      size: iconSize,
      color: primary.background
    }, leadingIconProps)) : renderLeadingAvatar(),
    trailingIcon: TrailingIcon ? /*#__PURE__*/React.createElement(TrailingIcon, _extends({
      size: iconSize,
      color: onContainerColor
    }, trailingIconProps)) : renderDefaultTrailingIcon()
  }, props));
};
//# sourceMappingURL=InputChip.component.js.map