function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useTheme } from '../../../theme/useTheme.hook';
import { getDynamicStyles, styles } from './suggestion-chip.styles';
import { BaseChip } from '../base-chip/BaseChip.component';
export const SuggestionChip = _ref => {
  let {
    elevated = false,
    selected = false,
    LeadingIcon,
    TrailingIcon,
    leadingIconProps = {},
    trailingIconProps = {},
    style,
    labelStyle,
    disabled = false,
    ...props
  } = _ref;
  const theme = useTheme();
  const dynamicStyles = useMemo(() => getDynamicStyles(selected, elevated, disabled, theme), [disabled, elevated, selected, theme]);
  return /*#__PURE__*/React.createElement(BaseChip, _extends({
    style: [elevated && !disabled ? styles.elevatedContainer : styles.outlinedContainer, dynamicStyles.container, style],
    labelStyle: [dynamicStyles.label, labelStyle],
    leadingIcon: LeadingIcon ? /*#__PURE__*/React.createElement(LeadingIcon, _extends({
      size: 18,
      color: dynamicStyles.icon.color
    }, leadingIconProps)) : null,
    trailingIcon: TrailingIcon ? /*#__PURE__*/React.createElement(TrailingIcon, _extends({
      size: 18,
      color: dynamicStyles.icon.color
    }, trailingIconProps)) : null,
    disabled: disabled
  }, props));
};
//# sourceMappingURL=SuggestionChip.component.js.map