function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useEffect } from 'react';
import { TouchableOpacity } from 'react-native';
import Animated, { interpolate, interpolateColor, useAnimatedStyle, useSharedValue, withTiming } from 'react-native-reanimated';
import { useTheme } from '../../../theme/useTheme.hook';
import { DISABLED_OPACITY, ENABLED_OPACITY, styles } from './switch.styles';
const ANIMATION_DURATION = 300;
export const Switch = _ref => {
  let {
    value,
    labelEnd,
    labelStart,
    handleIcon,
    hideIconOnSwitchOff = true,
    handleActiveBorderColor,
    handleInactiveBorderColor,
    handleActiveBackgroundColor,
    handleInactiveBackgroundColor,
    trackActiveBorderColor,
    trackInactiveBorderColor,
    trackActiveBackgroundColor,
    trackInactiveBackgroundColor,
    style,
    trackStyle,
    hanldeStyle,
    animationDuration = ANIMATION_DURATION,
    onSwitch,
    ...props
  } = _ref;
  const handleStart = useSharedValue(0);
  const {
    primary,
    outline,
    surfaceContainer,
    surface
  } = useTheme();
  const [trackDisabledColors, handleDisabledColors] = value ? [{
    backgroundColor: surface.text,
    borderColor: surface.text
  }, {
    backgroundColor: surface.background,
    borderColor: surface.background
  }] : [{
    backgroundColor: surfaceContainer.backgroundHighest,
    borderColor: surface.text
  }, {
    backgroundColor: surface.text,
    borderColor: surface.text
  }];
  const handlePosAnimatedStyle = useAnimatedStyle(() => ({
    flex: handleStart.value
  }), []);
  const handleColorsAnimatedStyle = useAnimatedStyle(() => ({
    start: handleStart.value,
    backgroundColor: interpolateColor(handleStart.value, [0, 1], [handleInactiveBackgroundColor ?? outline, handleActiveBackgroundColor ?? primary.text]),
    borderColor: interpolateColor(handleStart.value, [0, 1], [handleInactiveBorderColor ?? outline, handleActiveBorderColor ?? primary.text])
  }), [handleInactiveBackgroundColor, handleActiveBackgroundColor, handleInactiveBorderColor, handleActiveBorderColor]);
  const trackAnimatedStyle = useAnimatedStyle(() => ({
    backgroundColor: interpolateColor(handleStart.value, [0, 1], [trackInactiveBackgroundColor ?? surfaceContainer.backgroundHighest, trackActiveBackgroundColor ?? primary.background]),
    borderColor: interpolateColor(handleStart.value, [0, 1], [trackInactiveBorderColor ?? outline, trackActiveBorderColor ?? primary.background])
  }), [trackInactiveBackgroundColor, trackActiveBackgroundColor, trackInactiveBorderColor, trackActiveBorderColor]);
  const iconAnimatedStyle = useAnimatedStyle(() => ({
    opacity: interpolate(handleStart.value, [0, 1], [Number(!hideIconOnSwitchOff), 1])
  }), [hideIconOnSwitchOff]);
  useEffect(() => {
    handleStart.value = withTiming(value ? 1 : 0, {
      duration: animationDuration
    });
  }, [value, animationDuration]);
  const onPress = useCallback(() => onSwitch(!value), [onSwitch, value]);
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 1,
    onPress: onPress,
    style: [styles.container, {
      opacity: props.disabled ? DISABLED_OPACITY : ENABLED_OPACITY
    }, style]
  }, props), labelStart, /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.track, props.disabled ? trackDisabledColors : trackAnimatedStyle, trackStyle]
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: handlePosAnimatedStyle
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.handle, props.disabled ? handleDisabledColors : handleColorsAnimatedStyle, hanldeStyle]
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: iconAnimatedStyle
  }, handleIcon)))), labelEnd);
};
//# sourceMappingURL=switch.component.js.map