function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { forwardRef } from 'react';
import { Text, View } from 'react-native';
import { styles } from './basic-dialog.styles';
import { useTheme } from '../../../theme/useTheme.hook';
import { Dialog } from '../dialog/Dialog.component';
import { useTypography } from '../../../typography/useTypography.component';
import { TextButton } from '../../buttons/common-buttons/text-button/TextButton.component';
export const BasicDialog = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    append,
    prepend,
    title,
    subtitle,
    firstActionTitle,
    secondActionTitle,
    titleStyle,
    subtitleStyle,
    onFirstActionPress,
    onSecondActionPress,
    style,
    ...props
  } = _ref;
  const {
    surfaceContainer
  } = useTheme();
  const {
    bodyMedium,
    headlineSmall
  } = useTypography();
  const renderActionButtons = () => /*#__PURE__*/React.createElement(View, {
    style: styles.actions
  }, secondActionTitle ? /*#__PURE__*/React.createElement(TextButton, {
    style: styles.actionButton,
    onPress: onSecondActionPress,
    title: secondActionTitle
  }) : null, firstActionTitle ? /*#__PURE__*/React.createElement(TextButton, {
    style: styles.actionButton,
    onPress: onFirstActionPress,
    title: firstActionTitle
  }) : null);
  return /*#__PURE__*/React.createElement(Dialog, _extends({
    ref: ref,
    style: [style]
  }, props), prepend, title ? /*#__PURE__*/React.createElement(Text, {
    style: [headlineSmall, styles.title, {
      color: surfaceContainer.text
    }, titleStyle]
  }, title) : null, subtitle ? /*#__PURE__*/React.createElement(Text, {
    style: [bodyMedium, {
      color: surfaceContainer.textVariant
    }, subtitleStyle]
  }, subtitle) : null, append, firstActionTitle ? renderActionButtons() : null);
});
//# sourceMappingURL=BasicDialog.component.js.map