function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { Modal, Pressable, StyleSheet, TouchableWithoutFeedback } from 'react-native';
import React, { useCallback } from 'react';
import Animated, { interpolate, useAnimatedStyle } from 'react-native-reanimated';
import { useTheme } from '../../theme/useTheme.hook';
import { styles } from './modal-backdrop-wrapper.styles';
export const ModalBackdropWrapper = _ref => {
  let {
    visibility,
    backdropStyle,
    contentWrapperStyle,
    children,
    onRequestClose,
    ...props
  } = _ref;
  const {
    scrim
  } = useTheme();
  const handlePressModalContent = useCallback(e => {
    e.stopPropagation();
  }, []);
  const backdropAnimatedStyle = useAnimatedStyle(() => ({
    opacity: interpolate(visibility.value, [0, 1], [0, 0.32])
  }), []);
  return /*#__PURE__*/React.createElement(Modal, _extends({
    transparent: true,
    supportedOrientations: ['landscape', 'portrait']
  }, props), /*#__PURE__*/React.createElement(Animated.View, {
    style: [StyleSheet.absoluteFillObject, {
      backgroundColor: scrim
    }, backdropAnimatedStyle, backdropStyle]
  }), /*#__PURE__*/React.createElement(Pressable, {
    style: [styles.contentWrapperStyle, contentWrapperStyle],
    onPress: onRequestClose
  }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: handlePressModalContent
  }, children)));
};
//# sourceMappingURL=ModalBackdropWrapper.component.js.map