function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useState } from 'react';
import { SafeAreaView } from 'react-native-safe-area-context';
import Animated, { useAnimatedStyle, withSpring } from 'react-native-reanimated';
import { styles } from './nav-bar.styles';
import { useTheme } from '../../../theme/useTheme.hook';
import { ScrollDirection } from '../../../types/scroll-direction.type';
import { NavBarItem } from './navigation-bar-item/NavBarItem.component';
export const NavBar = _ref => {
  let {
    routes,
    activeRouteName,
    damping = 20,
    scrollDirection,
    fixedLabelVisibility = false,
    onRoutePress,
    onLayout,
    containerStyle,
    style,
    ...props
  } = _ref;
  const [navBarHeight, setNavBarHeight] = useState(0);
  const {
    surfaceContainer
  } = useTheme();
  const conteinerAnimatedStyle = useAnimatedStyle(() => ({
    transform: [{
      translateY: withSpring((scrollDirection === null || scrollDirection === void 0 ? void 0 : scrollDirection.value) === ScrollDirection.DOWN ? navBarHeight : 0, {
        damping
      })
    }]
  }), [navBarHeight]);
  const getNavBarHeight = e => {
    setNavBarHeight(e.nativeEvent.layout.height);
    if (onLayout) {
      onLayout(e);
    }
  };
  const renderRouteButton = useCallback(route => /*#__PURE__*/React.createElement(NavBarItem, {
    key: route.name,
    route: route,
    focused: activeRouteName === route.name,
    fixedLabelVisibility: fixedLabelVisibility,
    onPress: onRoutePress
  }), [activeRouteName, fixedLabelVisibility, onRoutePress]);
  return /*#__PURE__*/React.createElement(Animated.View, {
    style: [conteinerAnimatedStyle, containerStyle],
    onLayout: getNavBarHeight
  }, /*#__PURE__*/React.createElement(SafeAreaView, _extends({
    mode: "padding",
    edges: ['bottom', 'left', 'right'],
    style: [styles.container, {
      backgroundColor: surfaceContainer.background
    }, style]
  }, props), routes.map(renderRouteButton)));
};
//# sourceMappingURL=NavBar.component.js.map