function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Text, View, TouchableOpacity } from 'react-native';
import { styles } from './tab.styles';
import { useTheme } from '../../../../../theme/useTheme.hook';
import { DEFAULT_ICON_SIZE } from '../../../../../constants/icon';
import { Badge, BadgeSize } from '../../../../badge/Badge.component';
import { useTypography } from '../../../../../typography/useTypography.component';
export let TabType = /*#__PURE__*/function (TabType) {
  TabType["PRIMATY"] = "PRIMATY";
  TabType["SECONDARY"] = "SECONDARY";
  return TabType;
}({});
export const Tab = _ref => {
  let {
    icon,
    title,
    active,
    routeName,
    badge,
    type = TabType.PRIMATY,
    badgeSize = BadgeSize.BIG,
    style,
    titleStyle,
    badgeStyle,
    innerContentStyle,
    iconProps = {},
    onPress,
    onInnerContentLayout,
    ...props
  } = _ref;
  const {
    titleSmall
  } = useTypography();
  const {
    surface,
    primary
  } = useTheme();
  const Icon = icon;
  const activeContainerContentColor = type === TabType.PRIMATY ? primary.background : surface.text;
  const onContainerContentColor = active ? activeContainerContentColor : surface.textVariant;
  const handleTabPress = () => onPress(routeName);
  const primaryTabAppliedStyle = icon ? TabType.PRIMATY : TabType.SECONDARY;
  const [badgeBaseStyle, innerContentBaseStyle] = type === TabType.PRIMATY ? [styles[`badge${primaryTabAppliedStyle}`], styles[`innerContent${primaryTabAppliedStyle}`]] : [styles[`badge${type}`], styles[`innerContent${TabType.SECONDARY}`]];
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    onPress: handleTabPress,
    style: [styles.container, style]
  }, props), /*#__PURE__*/React.createElement(View, {
    onLayout: onInnerContentLayout,
    style: [innerContentBaseStyle, innerContentStyle]
  }, /*#__PURE__*/React.createElement(View, null, Icon ? /*#__PURE__*/React.createElement(Icon, _extends({
    color: onContainerContentColor,
    size: DEFAULT_ICON_SIZE
  }, iconProps)) : null, badge && type === TabType.PRIMATY && Icon ? /*#__PURE__*/React.createElement(Badge, {
    size: badgeSize,
    value: badge,
    style: [badgeBaseStyle, {
      transform: [{
        translateX: (iconProps.size ?? DEFAULT_ICON_SIZE) - 4
      }]
    }, badgeStyle]
  }) : null), title ? /*#__PURE__*/React.createElement(Text, {
    style: [titleSmall, {
      color: onContainerContentColor
    }, titleStyle]
  }, title) : null, badge && (!Icon || type === TabType.SECONDARY) ? /*#__PURE__*/React.createElement(Badge, {
    size: badgeSize,
    value: badge,
    style: badgeBaseStyle
  }) : null));
};
//# sourceMappingURL=Tab.component.js.map