function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { View } from 'react-native';
import { GestureDetector } from 'react-native-gesture-handler';
import { styles } from './range-slider.styles';
import { useRangeSlider } from './useRangeSlider.hook';
import { useSliderColors } from '../use-slider-colors.hook';
import { SliderTrack } from '../ui/slider-track/SliderTrack.component';
import { useRangeSliderTrackPoints } from './useRangeSliderTrackPoints.hook';
import { SliderIndicator } from '../ui/slider-indicator/SliderIndicator.component';
import { SliderTrackPoint } from '../ui/slider-track-point/SliderTrackPoint.component';
export const RangeSlider = _ref => {
  let {
    max,
    min,
    step,
    range = [0, 0],
    damping = 20,
    centered = false,
    disabled = false,
    thumbStyle,
    valueStyle,
    indicatorStyle,
    trackPointStyle,
    trackPointsStyle,
    filledTrackStyle,
    remainingTrackStyle,
    valueHeight,
    thumbWidthActive,
    thumbWidthInactive,
    onChangeRange,
    onLayout,
    style,
    ...props
  } = _ref;
  const {
    filledTrackColor,
    remainingTrackColor
  } = useSliderColors(disabled, centered);
  const trackPoints = useRangeSliderTrackPoints({
    max,
    min,
    step,
    centered
  });
  const {
    gesture,
    selectedRange,
    thumbMinSliding,
    thumbMaxSliding,
    animMinValueProps,
    animMaxValueProps,
    filledTrackAnimatedStyle,
    remainingTrackAfterAnimatedStyle,
    remainingTrackBeforeAnimatedStyle,
    slideToTrackPoint,
    setUpSliderLayout
  } = useRangeSlider({
    max,
    min,
    centered,
    step,
    damping
  }, range, onChangeRange);
  const handleLayoutChange = e => {
    setUpSliderLayout(e);
    if (onLayout) {
      onLayout(e);
    }
  };
  const renderTrackPoint = pointValue => /*#__PURE__*/React.createElement(SliderTrackPoint, {
    key: pointValue,
    value: pointValue,
    disabled: disabled,
    selectedValue: selectedRange,
    onPress: slideToTrackPoint,
    style: trackPointStyle
  });
  return /*#__PURE__*/React.createElement(GestureDetector, {
    gesture: gesture.enabled(!disabled)
  }, /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.container, style],
    onLayout: handleLayoutChange
  }, props), /*#__PURE__*/React.createElement(SliderTrack, {
    style: [{
      backgroundColor: remainingTrackColor
    }, styles.remainingBeforeTrack, remainingTrackBeforeAnimatedStyle, filledTrackStyle]
  }), /*#__PURE__*/React.createElement(SliderIndicator, {
    animValueProps: animMinValueProps,
    sliding: thumbMinSliding,
    disabled: disabled,
    style: [styles.thumb, indicatorStyle],
    thumbStyle: thumbStyle,
    valueStyle: valueStyle,
    valueHeight: valueHeight,
    thumbWidthActive: thumbWidthActive,
    thumbWidthInactive: thumbWidthInactive
  }), /*#__PURE__*/React.createElement(SliderTrack, {
    style: [{
      backgroundColor: filledTrackColor
    }, styles.filledTrack, filledTrackAnimatedStyle, filledTrackStyle]
  }), /*#__PURE__*/React.createElement(SliderIndicator, {
    animValueProps: animMaxValueProps,
    sliding: thumbMaxSliding,
    disabled: disabled,
    style: [styles.thumb, indicatorStyle],
    thumbStyle: thumbStyle,
    valueStyle: valueStyle,
    valueHeight: valueHeight,
    thumbWidthActive: thumbWidthActive,
    thumbWidthInactive: thumbWidthInactive
  }), /*#__PURE__*/React.createElement(SliderTrack, {
    style: [{
      backgroundColor: remainingTrackColor
    }, styles.remainingAfterTrack, remainingTrackAfterAnimatedStyle, remainingTrackStyle]
  }), /*#__PURE__*/React.createElement(View, {
    style: [styles.trackPoints, trackPointsStyle]
  }, trackPoints.map(renderTrackPoint))));
};
//# sourceMappingURL=RangeSlider.component.js.map