export const useRangeSliderTrackPoints = _ref => {
  let {
    max,
    min,
    step,
    centered
  } = _ref;
  const getDiscreteRangeSliderTrackPoints = discreteStep => {
    const totalPoints = Math.ceil((max - min) / discreteStep) + 1;
    return Array.from({
      length: totalPoints
    }, (_, index) => Math.min(min + index * discreteStep, max));
  };
  const getContinuousRangeSliderTrackPoints = () => centered ? [min, (min + max) / 2, max] : [min, max];
  const trackPoints = step ? getDiscreteRangeSliderTrackPoints(step) : getContinuousRangeSliderTrackPoints();
  return trackPoints;
};
//# sourceMappingURL=useRangeSliderTrackPoints.hook.js.map