function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { Pressable } from 'react-native';
import { styles } from './slider-track-point.styles';
import { useTheme } from '../../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../../utils/convert-to-rgba';
const AnimatedPressable = Animated.createAnimatedComponent(Pressable);
export const SliderTrackPoint = _ref => {
  let {
    value,
    disabled,
    selectedValue,
    disableColorChange = false,
    onPress,
    style,
    ...props
  } = _ref;
  const {
    secondaryContainer,
    surface
  } = useTheme();
  const [selectedTrackPointColor, unselectedTrackPointColor] = useMemo(() => disabled ? [convertToRGBA(surface.textInverse, 0.66), convertToRGBA(surface.text, 0.38)] : [secondaryContainer.background, secondaryContainer.text], [disabled, surface]);
  const trackPointAnimatedColorStyle = useAnimatedStyle(() => ({
    backgroundColor: !disableColorChange && isTrackPointSelected(value, selectedValue.value) ? selectedTrackPointColor : unselectedTrackPointColor
  }), [disableColorChange, value, selectedTrackPointColor, unselectedTrackPointColor]);
  const handleTrackPointPress = () => onPress(value);
  return /*#__PURE__*/React.createElement(AnimatedPressable, _extends({
    hitSlop: 16,
    onPress: handleTrackPointPress,
    style: [styles.trackPoint, trackPointAnimatedColorStyle, style],
    disabled: disabled
  }, props));
};
const isTrackPointSelected = (pointValue, sliderValue) => {
  'worklet';

  if (typeof sliderValue === 'number') {
    return sliderValue >= pointValue;
  } else if (typeof sliderValue[0] !== 'undefined' && typeof sliderValue[1] !== 'undefined') {
    return pointValue >= sliderValue[0] && pointValue <= sliderValue[1];
  }
  return false;
};
//# sourceMappingURL=SliderTrackPoint.component.js.map