import { useCallback } from 'react';
import { useSharedValue, withTiming } from 'react-native-reanimated';
export const useTextInputFocus = _ref => {
  let {
    inputRef,
    onFocus,
    onBlur
  } = _ref;
  const focusAnim = useSharedValue(0);
  const onInputFocus = useCallback(e => {
    focusAnim.value = withTiming(1);
    if (onFocus) {
      onFocus(e);
    }
  }, [onFocus]);
  const onInputBlur = useCallback(e => {
    focusAnim.value = withTiming(0);
    if (onBlur) {
      onBlur(e);
    }
  }, [onBlur]);
  const focusInput = useCallback(() => {
    var _inputRef$current;
    if (!((_inputRef$current = inputRef.current) !== null && _inputRef$current !== void 0 && _inputRef$current.isFocused())) {
      var _inputRef$current2;
      (_inputRef$current2 = inputRef.current) === null || _inputRef$current2 === void 0 || _inputRef$current2.focus();
    }
  }, []);
  return {
    focusAnim,
    focusAnimRange: [0, 1],
    focusInput,
    onInputBlur,
    onInputFocus
  };
};
//# sourceMappingURL=use-text-input-focus-anim.hook.js.map