import React, { createContext } from 'react';
import { LightTheme } from '../theme/build-theme';
import { materialTypography } from '../typography/typography.styles';
export const MaterialComponentsContext = /*#__PURE__*/createContext({
  theme: LightTheme,
  typography: materialTypography
});
export const MaterialComponentsProvider = _ref => {
  let {
    children,
    theme = LightTheme,
    typography = materialTypography
  } = _ref;
  return /*#__PURE__*/React.createElement(MaterialComponentsContext.Provider, {
    value: {
      theme,
      typography
    }
  }, children);
};
//# sourceMappingURL=MaterialComponents.context.js.map