import { argbFromHex, rgbaFromArgb } from '@material/material-color-utilities';
const BLACK_RGBA = 'rgba(0, 0, 0, 1)';
export const convertToRGBA = (color, opacity) => {
  if (color.startsWith('#')) {
    const argb = argbFromHex(color);
    const {
      r,
      g,
      b
    } = rgbaFromArgb(argb);
    return `rgba(${r}, ${g}, ${b}, ${opacity})`;
  }
  if (color.startsWith('rgba')) {
    return color;
  }
  if (color.startsWith('rgb')) {
    const [r, g, b] = color.match(/\d+/g).slice(0, 3);
    return `rgba(${r}, ${g}, ${b}, ${opacity})`;
  }
  return BLACK_RGBA;
};
//# sourceMappingURL=convert-to-rgba.js.map