import React from 'react';
import { type ViewProps } from 'react-native';
import { type SharedValue } from 'react-native-reanimated';
import { type IconProps } from '../../icons/icon-props';
import { ScrollDirection } from '../../../types/scroll-direction.type';
import { type IconButtonProps } from '../../buttons/icon-buttons/icon-button.types';
export interface BottomAppBarProps<T extends IconProps> extends ViewProps {
    iconButtons: IconButtonProps<T>[];
    FabIcon?: React.FC;
    fabLabel?: string;
    scrollDirection?: SharedValue<ScrollDirection>;
    animationDelay?: number;
    animationDumping?: number;
    onFabPress?: () => void;
}
export interface BottomAppBarRef {
    getHeight: () => void;
}
export declare const BottomAppBar: React.ForwardRefExoticComponent<BottomAppBarProps<IconProps> & React.RefAttributes<BottomAppBarRef>>;
//# sourceMappingURL=BottomAppBar.component.d.ts.map