import React from 'react';
import { type StyleProp, type TextStyle } from 'react-native';
import { type IconProps } from '../../../icons/icon-props';
import { type IconButtonProps } from '../../../buttons/icon-buttons/icon-button.types';
import { type BaseTopAppBarProps } from '../base-top-app-bar/BaseTopAppBar.component';
export declare enum TopAppBarSize {
    SMALL = "SMALL",
    MEDIUM = "MEDIUM",
    LARGE = "LARGE"
}
export interface TopAppBarProps<T extends IconProps> extends BaseTopAppBarProps {
    title: string;
    size?: TopAppBarSize;
    StartIcon?: React.FC;
    actions?: IconButtonProps<T>[];
    startIconProps?: T;
    titleStyle?: StyleProp<TextStyle>;
}
export declare const TopAppBar: <T extends IconProps>({ title, scrollStatus, actions, size, StartIcon, startIconProps, style, titleStyle, ...props }: TopAppBarProps<T>) => React.JSX.Element;
//# sourceMappingURL=TopAppBar.component.d.ts.map