import React, { type ReactElement } from 'react';
import { type StyleProp, type TextStyle, type TouchableOpacityProps, type ViewStyle } from 'react-native';
import { type IconProps } from '../../icons/icon-props';
export declare enum FloatingActionButtonSize {
    SMALL = "SMALL",
    BIG = "BIG"
}
export declare enum FloatingActionButtonType {
    SURFACE = "SURFACE",
    PRIMARY = "PRIMARY",
    SECONDARY = "SECONDARY",
    TERTIARY = "TERTIARY"
}
export interface FloatingActionButtonProps<T extends IconProps> extends TouchableOpacityProps {
    type?: FloatingActionButtonType;
    label?: string;
    extended?: boolean;
    Icon?: React.FC<T>;
    iconProps?: T;
    size?: FloatingActionButtonSize;
    labelStyle?: StyleProp<TextStyle>;
    innerContainerStyle?: StyleProp<ViewStyle>;
}
export declare const FloatingActionButton: <T extends IconProps>({ label, iconProps, labelStyle, Icon, extended, innerContainerStyle, size, type, style, ...props }: FloatingActionButtonProps<T>) => ReactElement;
//# sourceMappingURL=FloatingActionButton.component.d.ts.map