import React, { type ReactElement } from 'react';
import { type ViewProps, type ColorValue, type StyleProp, type TextStyle } from 'react-native';
import { type IconProps } from '../../icons/icon-props';
export interface ButtonSegment<T, U> {
    value: T;
    label?: string;
    Icon?: React.FC<U>;
}
export interface SegmentedButtonProps<T, U> extends ViewProps {
    segments: ButtonSegment<T, U>[];
    selected: T[];
    disabled?: boolean;
    multiSelectionEnabled?: boolean;
    withCheckmark?: boolean;
    iconSize?: number;
    iconColor?: ColorValue;
    rippleColor?: ColorValue;
    labelStyle?: StyleProp<TextStyle>;
    onSegmentPress: (value: T[] | ((currValues: T[]) => T[])) => void;
}
export declare const SegmentedButton: <T extends any, U extends IconProps>(props: SegmentedButtonProps<T, U>) => ReactElement;
//# sourceMappingURL=SegmentedButton.component.d.ts.map