import React from 'react';
import { type PressableProps, type StyleProp, type ViewStyle, type TextStyle, type ColorValue } from 'react-native';
import { type IconProps } from '../../../icons/icon-props';
interface ButtonSegmentProps<T, U extends IconProps> extends Omit<PressableProps, 'onPress'> {
    value: T;
    selected: boolean;
    disabled: boolean;
    multiSelectionEnabled: boolean;
    label?: string;
    withCheckmark?: boolean;
    Icon?: React.FC<U>;
    style?: StyleProp<ViewStyle>;
    labelStyle?: StyleProp<TextStyle>;
    iconSize?: number;
    iconColor?: ColorValue;
    rippleColor?: ColorValue;
    onSegmentPress: (value: T[] | ((prevValues: T[]) => T[])) => void;
}
export declare const ButtonSegment: React.MemoExoticComponent<(<T extends unknown, U extends IconProps>({ value, selected, disabled, Icon, label, multiSelectionEnabled, withCheckmark, onSegmentPress, iconSize, labelStyle, iconColor, rippleColor, style, ...props }: ButtonSegmentProps<T, U>) => React.JSX.Element)>;
export {};
//# sourceMappingURL=ButtonSegment.component.d.ts.map