import React from 'react';
import { type IconProps } from '../../icons/icon-props';
import { type BaseChipProps } from '../base-chip/BaseChip.component';
export declare enum IconType {
    COMMON = "COMMON",
    FAVICON = "FAVICON",
    BRANDED = "BRANDED"
}
export interface AssistChipProps<T extends IconProps> extends Omit<BaseChipProps, 'leadingIcon' | 'trailingIcon'> {
    elevated?: boolean;
    LeadingIcon?: React.FC<T>;
    TrailingIcon?: React.FC<T>;
    leadingIconType?: IconType;
    trailingIconType?: IconType;
    leadingIconProps?: T;
    trailingIconProps?: T;
    iconSize?: number;
}
export declare const AssistChip: <T extends IconProps>({ elevated, LeadingIcon, TrailingIcon, leadingIconType, trailingIconType, leadingIconProps, trailingIconProps, iconSize, style, labelStyle, disabled, ...props }: AssistChipProps<T>) => React.JSX.Element;
//# sourceMappingURL=AssistChip.component.d.ts.map