import { type ReactElement, type ReactNode } from 'react';
import { type TouchableOpacityProps, type StyleProp, type ViewStyle, type ColorValue } from 'react-native';
export interface CheckboxProps<T> extends Omit<TouchableOpacityProps, 'onPress'> {
    value: T;
    checked: boolean;
    isError?: boolean;
    labelEnd?: ReactNode;
    labelStart?: ReactNode;
    checkedIcon?: ReactNode;
    size?: number;
    errorAnimationDuration?: number;
    checkboxStyle?: StyleProp<ViewStyle>;
    errorColor?: ColorValue;
    borderColor?: ColorValue;
    checkedBorderColor?: ColorValue;
    checkedBackgroundColor?: ColorValue;
    onCheck: (value: T) => void;
}
export declare const Checkbox: <T extends any>(props: CheckboxProps<T>) => ReactElement;
//# sourceMappingURL=checkbox.component.d.ts.map