import React, { type ReactNode } from 'react';
import { type TouchableOpacityProps, type StyleProp, type ViewStyle, type ColorValue } from 'react-native';
export interface RadioButtonProps<T> extends Omit<TouchableOpacityProps, 'onPress'> {
    value: T;
    checked: boolean;
    size?: number;
    labelEnd?: ReactNode;
    labelStart?: ReactNode;
    animationDuration?: number;
    indicatorStyle?: StyleProp<ViewStyle>;
    radioButtonStyle?: StyleProp<ViewStyle>;
    radioButtonColor?: ColorValue;
    checkedRadioButtonColor?: ColorValue;
    onCheck: (value: T) => void;
}
export declare const RadioButton: <T extends unknown>({ value, checked, labelEnd, labelStart, style, indicatorStyle, radioButtonStyle, size, animationDuration, radioButtonColor, checkedRadioButtonColor, onCheck, ...props }: RadioButtonProps<T>) => React.JSX.Element;
//# sourceMappingURL=RadioButton.component.d.ts.map