import React from 'react';
import { type StyleProp, type ViewStyle } from 'react-native';
import { type SafeAreaViewProps } from 'react-native-safe-area-context';
import { type SharedValue } from 'react-native-reanimated';
import { type IconProps } from '../../icons/icon-props';
import { type BadgeSize } from '../../badge/Badge.component';
import { ScrollDirection } from '../../../types/scroll-direction.type';
export interface NavBarRoute<T, Y> {
    name: T;
    icon: React.FC<Y>;
    selectedIcon: React.FC<Y>;
    label?: string;
    badge?: string;
    showBadge?: boolean;
    badgeSize?: BadgeSize;
    iconProps?: Y;
}
export interface NavBarProps<T, Y> extends SafeAreaViewProps {
    routes: NavBarRoute<T, Y>[];
    activeRouteName: T;
    damping?: number;
    fixedLabelVisibility?: boolean;
    containerStyle?: StyleProp<ViewStyle>;
    scrollDirection?: SharedValue<ScrollDirection>;
    onRoutePress: (route: string) => void;
}
export declare const NavBar: <T extends string, Y extends IconProps>({ routes, activeRouteName, damping, scrollDirection, fixedLabelVisibility, onRoutePress, onLayout, containerStyle, style, ...props }: NavBarProps<T, Y>) => React.JSX.Element;
//# sourceMappingURL=NavBar.component.d.ts.map