import React from 'react';
import { type ViewProps, type StyleProp, type ViewStyle, type TextStyle } from 'react-native';
import { type SharedValue, type WithSpringConfig } from 'react-native-reanimated';
import { type Tab } from '../tab.type';
import { type IconProps } from '../../../icons/icon-props';
import { type BadgeSize } from '../../../badge/Badge.component';
export interface SecondaryTabsProps<T, Y> extends ViewProps {
    tabs: Tab<T, Y>[];
    activeTab?: T;
    badgeSize?: BadgeSize;
    animConfig?: WithSpringConfig;
    scrollAnim?: SharedValue<number>;
    tabIconProps?: Y;
    tabStyle?: StyleProp<ViewStyle>;
    badgeStyle?: StyleProp<ViewStyle>;
    tabTitleStyle?: StyleProp<TextStyle>;
    indicatorStyle?: StyleProp<ViewStyle>;
    tabsContainerStyle?: StyleProp<ViewStyle>;
    tabInnerContentStyle?: StyleProp<ViewStyle>;
}
export declare const SecondaryTabs: <T extends string, Y extends IconProps>({ tabs, activeTab, badgeSize, scrollAnim, animConfig, tabStyle, badgeStyle, tabIconProps, tabTitleStyle, indicatorStyle, tabsContainerStyle, tabInnerContentStyle, ...props }: SecondaryTabsProps<T, Y>) => React.JSX.Element;
//# sourceMappingURL=SecondaryTabs.component.d.ts.map