import React from 'react';
import { type StyleProp, type TextStyle, type ViewStyle, type LayoutChangeEvent, type TouchableOpacityProps } from 'react-native';
import type { IconProps } from '../../../../icons/icon-props';
import { BadgeSize } from '../../../../badge/Badge.component';
export declare enum TabType {
    PRIMATY = "PRIMATY",
    SECONDARY = "SECONDARY"
}
export interface TabProps<T, Y> extends Omit<TouchableOpacityProps, 'onPress'> {
    routeName: T;
    active: boolean;
    badge?: string;
    type?: TabType;
    title?: string;
    badgeSize?: BadgeSize;
    icon?: React.FC<Y>;
    iconProps?: Y;
    badgeStyle?: StyleProp<ViewStyle>;
    titleStyle?: StyleProp<TextStyle>;
    innerContentStyle?: StyleProp<ViewStyle>;
    onPress: (routeName: T) => void;
    onInnerContentLayout?: (e: LayoutChangeEvent) => void;
}
export declare const Tab: <T extends string, Y extends IconProps>({ icon, title, active, routeName, badge, type, badgeSize, style, titleStyle, badgeStyle, innerContentStyle, iconProps, onPress, onInnerContentLayout, ...props }: TabProps<T, Y>) => React.JSX.Element;
//# sourceMappingURL=Tab.component.d.ts.map