import React from 'react';
import { type ViewProps, type StyleProp, type ColorValue, type TextStyle } from 'react-native';
export interface SnackbarRef {
    show: () => void;
    dismiss: () => void;
}
export interface SnackbarProps extends ViewProps {
    content: string;
    action?: string;
    offset?: number;
    duration?: number;
    showCloseIcon?: boolean;
    closeIconSize?: number;
    animationDuration?: number;
    closeIconColor?: ColorValue;
    actionStyle?: StyleProp<TextStyle>;
    contentStyle?: StyleProp<TextStyle>;
    onActionPress?: () => void;
}
export declare const Snackbar: React.ForwardRefExoticComponent<SnackbarProps & React.RefAttributes<SnackbarRef>>;
//# sourceMappingURL=Snackbar.component.d.ts.map